/****************************************************************************/
/*																			*/
/*			rgVOTOV[YWX^`								*/
/*																			*/
/*			Cpu			:: rgVOTOV[Y								*/
/*			Version		:: 1.00												*/
/*			File Name	:: sh7050s.h										*/
/*																			*/
/****************************************************************************/

struct st_flash {                                       /* struct FLASH */
                union {                                 /* FLMCR1       */
                      struct {                          /*  Bit  Access */
                             unsigned char FWE :1;      /*    FWE       */
                             unsigned char VPP :1;      /*    VPP       */
                             unsigned char ESU :1;      /*    ESU       */
                             unsigned char PSU :1;      /*    PSU       */
                             unsigned char EV  :1;      /*    EV        */
                             unsigned char PV  :1;      /*    PV        */
                             unsigned char E  :1;       /*    E         */
                             unsigned char P  :1;       /*    P         */
                             }      BIT;                /*              */
                      }         FLMCR1;                 /*              */
                union {                                 /* FLMCR2       */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char FLER:1;      /*    FLER      */
                             }      BIT;                /*              */
                      }         FLMCR2;                 /*              */
                union {                                 /* EBR1         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char EB7:1;       /*    EB7       */
                             unsigned char EB6:1;       /*    EB6       */
                             unsigned char EB5:1;       /*    EB5       */
                             unsigned char EB4:1;       /*    EB4       */
                             unsigned char EB3:1;       /*    EB3       */
                             unsigned char EB2:1;       /*    EB2       */
                             unsigned char EB1:1;       /*    EB1       */
                             unsigned char EB0:1;       /*    EB0       */
                             }      BIT;                /*              */
                      }         EBR1;                   /*              */
                char            wk[166];                /*              */
                union {                                 /* RAMER        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :5;      /*              */
                             unsigned char RAMS:1;      /*    RAMS      */
                             unsigned char RAM1:1;      /*    RAM1      */
                             unsigned char RAM0:1;      /*    RAM0      */
                             }      BIT;                /*              */
                      }         RAMER;                  /*              */
};                                                      /*              */
struct st_sci {                                         /* struct SCI   */
              union {                                   /* SMR          */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char CA  :1;        /*    C/A       */
                           unsigned char CHR :1;        /*    CHR       */
                           unsigned char PE  :1;        /*    PE        */
                           unsigned char OE  :1;        /*    O/E       */
                           unsigned char STOP:1;        /*    STOP      */
                           unsigned char MP  :1;        /*    MP        */
                           unsigned char CKS :2;        /*    CKS       */
                           }      BIT;                  /*              */
                    }           SMR;                    /*              */
              unsigned char     BRR;                    /* BRR          */
              union {                                   /* SCR          */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TIE :1;        /*    TIE       */
                           unsigned char RIE :1;        /*    RIE       */
                           unsigned char TE  :1;        /*    TE        */
                           unsigned char RE  :1;        /*    RE        */
                           unsigned char MPIE:1;        /*    MPIE      */
                           unsigned char TEIE:1;        /*    TEIE      */
                           unsigned char CKE :2;        /*    CKE       */
                           }      BIT;                  /*              */
                    }           SCR;                    /*              */
              unsigned char     TDR;                    /* TDR          */
              union {                                   /* SSR          */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TDRE:1;        /*    TDRE      */
                           unsigned char RDRF:1;        /*    RDRF      */
                           unsigned char ORER:1;        /*    ORER      */
                           unsigned char FER :1;        /*    FER       */
                           unsigned char PER :1;        /*    PER       */
                           unsigned char TEND:1;        /*    TEND      */
                           unsigned char MPB :1;        /*    MPB       */
                           unsigned char MPBT:1;        /*    MPBT      */
                           }      BIT;                  /*              */
                    }           SSR;                    /*              */
              unsigned char     RDR;                    /* RDR          */
};                                                      /*              */
struct st_atu {                                         /* struct ATU   */
              unsigned char     dummy;                  /* RDR          */
              union {                                   /* PSCR1        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :3 ;       /*              */
                           unsigned char PSCE:1 ;       /*              */
                           unsigned char PSCD:1 ;       /*              */
                           unsigned char PSCC:1 ;       /*              */
                           unsigned char PSCB:1 ;       /*              */
                           unsigned char PSCA:1 ;       /*              */
                           }      BIT;                  /*              */
                    }           PSCR1;                  /*              */
              union {                                   /* TSTR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short     :6;       /*              */
                           unsigned short STR9:1;       /*    STR9      */
                           unsigned short STR8:1;       /*    STR8      */
                           unsigned short STR7:1;       /*    STR7      */
                           unsigned short STR6:1;       /*    STR6      */
                           unsigned short STR5:1;       /*    STR5      */
                           unsigned short STR4:1;       /*    STR4      */
                           unsigned short STR3:1;       /*    STR3      */
                           unsigned short STR2:1;       /*    STR2      */
                           unsigned short STR1:1;       /*    STR1      */
                           unsigned short STR0:1;       /*    STR0      */
                           }      BIT;                  /*              */
                    }           TSTR;                   /*              */
};                                                      /*              */
struct st_atu0 {                                        /* struct ATU0  */
               union {                                  /* TGSR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :5;       /*              */
                            unsigned char TRGD:1;       /*    TRG0D     */
                            unsigned char     :1;       /*              */
                            unsigned char TRGA:1;       /*    TRG0A     */
                            }      BIT;                 /*              */
                     }          TGSR;                   /*              */
               union {                                  /* TIOR0A       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char IOD:2;        /*    IO0D      */
                            unsigned char IOC:2;        /*    IO0C      */
                            unsigned char IOB:2;        /*    IO0B      */
                            unsigned char IOA:2;        /*    IO0A      */
                            }      BIT;                 /*              */
                     }          TIORA;                  /*              */
               union {                                  /* ITVRR        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char ITVAD:4;      /*    ITVAD     */
                            unsigned char ITVE :4;      /*    ITVE      */
                            }      BIT;                 /*              */
                     }          ITVRR;                  /*              */
               union {                                  /* TSRAH        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :4;        /*              */
                            unsigned char IIF:4;        /*    IIF       */
                            }      BIT;                 /*              */
                     }          TSRAH;                  /*              */
               union {                                  /* TIERA        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :3;       /*              */
                            unsigned char OVE :1;       /*    OVE0      */
                            unsigned char ICED:1;       /*    ICE0D     */
                            unsigned char ICEC:1;       /*    ICE0C     */
                            unsigned char ICEB:1;       /*    ICE0B     */
                            unsigned char ICEA:1;       /*    ICE0A     */
                            }      BIT;                 /*              */
                     }          TIERA;                  /*              */
               union {                                  /* TSRAL        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :3;       /*              */
                            unsigned char OVF :1;       /*    OVF0      */
                            unsigned char ICFD:1;       /*    ICF0D     */
                            unsigned char ICFC:1;       /*    ICF0C     */
                            unsigned char ICFB:1;       /*    ICF0B     */
                            unsigned char ICFA:1;       /*    ICF0A     */
                            }      BIT;                 /*              */
                     }          TSRAL;                  /*              */
               unsigned int     TCNT;                   /* TCNT0        */
               unsigned int     ICRA;                   /* ICR0A        */
               unsigned int     ICRB;                   /* ICR0B        */
               unsigned int     ICRC;                   /* ICR0C        */
               unsigned int     ICRD;                   /* ICR0D        */
};                                                      /*              */
struct st_atu1 {                                        /* struct ATU1  */
               union {                                  /* TCR1         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :2;      /*              */
                            unsigned char CKEG :2;      /*    CKEG      */
                            unsigned char      :1;      /*              */
                            unsigned char CKSEL:3;      /*    CKSEL     */
                            }      BIT;                 /*              */
                     }          TCR;                    /*              */
               union {                                  /* TIOR1A       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :1;        /*              */
                            unsigned char IOB:3;        /*    IO1B      */
                            unsigned char    :1;        /*              */
                            unsigned char IOA:3;        /*    IO1A      */
                            }      BIT;                 /*              */
                     }          TIORA;                  /*              */
               union {                                  /* TIOR1B       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :1;        /*              */
                            unsigned char IOD:3;        /*    IO1D      */
                            unsigned char    :1;        /*              */
                            unsigned char IOC:3;        /*    IO1C      */
                            }      BIT;                 /*              */
                     }          TIORB;                  /*              */
               union {                                  /* TIOR1C       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :1;        /*              */
                            unsigned char IOF:3;        /*    IO1F      */
                            unsigned char    :1;        /*              */
                            unsigned char IOE:3;        /*    IO1E      */
                            }      BIT;                 /*              */
                     }          TIORC;                  /*              */
               union {                                  /* TIERB        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :1;       /*              */
                            unsigned char OVE :1;       /*    OVE1      */
                            unsigned char IMEF:1;       /*    IME1F     */
                            unsigned char IMEE:1;       /*    IME1E     */
                            unsigned char IMED:1;       /*    IME1D     */
                            unsigned char IMEC:1;       /*    IME1C     */
                            unsigned char IMEB:1;       /*    IME1B     */
                            unsigned char IMEA:1;       /*    IME1A     */
                            }      BIT;                 /*              */
                     }          TIERB;                  /*              */
               union {                                  /* TSRB         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :1;       /*              */
                            unsigned char OVF :1;       /*    OVF1      */
                            unsigned char IMFF:1;       /*    IMF1F     */
                            unsigned char IMFE:1;       /*    IMF1E     */
                            unsigned char IMFD:1;       /*    IMF1D     */
                            unsigned char IMFC:1;       /*    IMF1C     */
                            unsigned char IMFB:1;       /*    IMF1B     */
                            unsigned char IMFA:1;       /*    IMF1A     */
                            }      BIT;                 /*              */
                     }          TSRB;                   /*              */
               char             wk[10];                 /*              */
               unsigned short   TCNT;                   /* TCNT1        */
               unsigned short   GRA;                    /* GR1A         */
               unsigned short   GRB;                    /* GR1B         */
               unsigned short   GRC;                    /* GR1C         */
               unsigned short   GRD;                    /* GR1D         */
               unsigned short   GRE;                    /* GR1E         */
               unsigned short   GRF;                    /* GR1F         */
               unsigned short   OSBR;                   /* OSBR         */
};                                                      /*              */
struct st_atu2 {                                        /* struct ATU2  */
               union {                                  /* TCR2         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :2;      /*              */
                            unsigned char CKEG :2;      /*    CKEG      */
                            unsigned char      :1;      /*              */
                            unsigned char CKSEL:3;      /*    CKSEL     */
                            }      BIT;                 /*              */
                     }          TCR;                    /*              */
               union {                                  /* TIOR2A       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :1;        /*              */
                            unsigned char IOB:3;        /*    IO2B      */
                            unsigned char    :1;        /*              */
                            unsigned char IOA:3;        /*    IO2A      */
                            }      BIT;                 /*              */
                     }          TIORA;                  /*              */
               union {                                  /* TIERC        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :5;       /*              */
                            unsigned char OVE :1;       /*    OVE2      */
                            unsigned char IMEB:1;       /*    IME2B     */
                            unsigned char IMEA:1;       /*    IME2A     */
                            }      BIT;                 /*              */
                     }          TIERC;                  /*              */
               union {                                  /* TSRC         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :5;       /*              */
                            unsigned char OVF :1;       /*    OVF2      */
                            unsigned char IMFB:1;       /*    IMF2B     */
                            unsigned char IMFA:1;       /*    IMF2A     */
                            }      BIT;                 /*              */
                     }          TSRC;                   /*              */
               unsigned short   TCNT;                   /* TCNT2        */
               unsigned short   GRA;                    /* GR2A         */
               unsigned short   GRB;                    /* GR2B         */
};                                                      /*              */
struct st_atu3 {                                        /* struct ATU3-5*/
               union {                                  /* TMDR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :5;      /*              */
                            unsigned char T5PWM:1;      /*    T5PWM     */
                            unsigned char T4PWM:1;      /*    T4PWM     */
                            unsigned char T3PWM:1;      /*    T3PWM     */
                            }      BIT;                 /*              */
                     }          TMDR;                   /*              */
               char             wk;                     /*              */
               union {                                  /* TIERDH       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :3;      /*              */
                            unsigned char OVE3 :1;      /*    OVE3      */
                            unsigned char IME3D:1;      /*    IME3D     */
                            unsigned char IME3C:1;      /*    IME3C     */
                            unsigned char IME3B:1;      /*    IME3B     */
                            unsigned char IME3A:1;      /*    IME3A     */
                            }      BIT;                 /*              */
                     }          TIERDH;                 /*              */
               union {                                  /* TSRDH        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :3;      /*              */
                            unsigned char OVF3 :1;      /*    OVF3      */
                            unsigned char IMF3D:1;      /*    IMF3D     */
                            unsigned char IMF3C:1;      /*    IMF3C     */
                            unsigned char IMF3B:1;      /*    IMF3B     */
                            unsigned char IMF3A:1;      /*    IMF3A     */
                            }      BIT;                 /*              */
                     }          TSRDH;                  /*              */
               union {                                  /* TIERDL       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char OVE4 :1;      /*    OVE4      */
                            unsigned char IME4D:1;      /*    IME4D     */
                            unsigned char IME4C:1;      /*    IME4C     */
                            unsigned char IME4B:1;      /*    IME4B     */
                            unsigned char IME4A:1;      /*    IME4A     */
                            unsigned char OVE5 :1;      /*    OVE5      */
                            unsigned char IME5B:1;      /*    IME5B     */
                            unsigned char IME5A:1;      /*    IME5A     */
                            }      BIT;                 /*              */
                     }          TIERDL;                 /*              */
               union {                                  /* TSRDL        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char OVF4 :1;      /*    OVF4      */
                            unsigned char IMF4D:1;      /*    IMF4D     */
                            unsigned char IMF4C:1;      /*    IMF4C     */
                            unsigned char IMF4B:1;      /*    IMF4B     */
                            unsigned char IMF4A:1;      /*    IMF4A     */
                            unsigned char OVF5 :1;      /*    OVF5      */
                            unsigned char IMF5B:1;      /*    IMF5B     */
                            unsigned char IMF5A:1;      /*    IMF5A     */
                            }      BIT;                 /*              */
                     }          TSRDL;                  /*              */
               union {                                  /* TCR3         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :2;      /*              */
                            unsigned char CKEG :2;      /*    CKEG      */
                            unsigned char      :1;      /*              */
                            unsigned char CKSEL:3;      /*    CKSEL     */
                            }      BIT;                 /*              */
                     }          TCR3;                   /*              */
               union {                                  /* TCR4         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :2;      /*              */
                            unsigned char CKEG :2;      /*    CKEG      */
                            unsigned char      :1;      /*              */
                            unsigned char CKSEL:3;      /*    CKSEL     */
                            }      BIT;                 /*              */
                     }          TCR4;                   /*              */
               union {                                  /* TIOR3A       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char CCIB:1;       /*    CCI3B     */
                            unsigned char IOB :3;       /*    IO3B      */
                            unsigned char CCIA:1;       /*    CCI3A     */
                            unsigned char IOA :3;       /*    IO3A      */
                            }      BIT;                 /*              */
                     }          TIOR3A;                 /*              */
               union {                                  /* TIOR3B       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char CCID:1;       /*    CCI3D     */
                            unsigned char IOD :3;       /*    IO3D      */
                            unsigned char CCIC:1;       /*    CCI3C     */
                            unsigned char IOC :3;       /*    IO3C      */
                            }      BIT;                 /*              */
                     }          TIOR3B;                 /*              */
               union {                                  /* TIOR4A       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char CCIB:1;       /*    CCI4A     */
                            unsigned char IOB :3;       /*    IO4B      */
                            unsigned char CCIA:1;       /*    CCI4A     */
                            unsigned char IOA :3;       /*    IO4A      */
                            }      BIT;                 /*              */
                     }          TIOR4A;                 /*              */
               union {                                  /* TIOR4B       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char CCID:1;       /*    CCI4D     */
                            unsigned char IOD :3;       /*    IO4D      */
                            unsigned char CCIC:1;       /*    CCI4C     */
                            unsigned char IOC :3;       /*    IO4C      */
                            }      BIT;                 /*              */
                     }          TIOR4B;                 /*              */
               union {                                  /* TCR5         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :2;      /*              */
                            unsigned char CKEG :2;      /*    CKEG      */
                            unsigned char      :1;      /*              */
                            unsigned char CKSEL:3;      /*    CKSEL     */
                            }      BIT;                 /*              */
                     }          TCR5;                   /*              */
               union {                                  /* TIOR5A       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char CCIB:1;       /*    CCI5B     */
                            unsigned char IOB :3;       /*    IO5B      */
                            unsigned char CCIA:1;       /*    CCI5A     */
                            unsigned char IOA :3;       /*    IO5A      */
                            }      BIT;                 /*              */
                     }          TIOR5A;                 /*              */
               unsigned short   TCNT3;                  /* TCNT3        */
               unsigned short   GR3A;                   /* GR3A         */
               unsigned short   GR3B;                   /* GR3B         */
               unsigned short   GR3C;                   /* GR3C         */
               unsigned short   GR3D;                   /* GR3D         */
               unsigned short   TCNT4;                  /* TCNT4        */
               unsigned short   GR4A;                   /* GR4A         */
               unsigned short   GR4B;                   /* GR4B         */
               unsigned short   GR4C;                   /* GR4C         */
               unsigned short   GR4D;                   /* GR4D         */
               unsigned short   TCNT5;                  /* TCNT5        */
               unsigned short   GR5A;                   /* GR5A         */
               unsigned short   GR5B;                   /* GR5B         */
};                                                      /*              */
struct st_atu6 {                                        /* struct ATU6-9*/
               union {                                  /* TIERE        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :1;       /*              */
                            unsigned char CME6:1;       /*    CME6      */
                            unsigned char     :1;       /*              */
                            unsigned char CME7:1;       /*    CME7      */
                            unsigned char     :1;       /*              */
                            unsigned char CME8:1;       /*    CME8      */
                            unsigned char     :1;       /*              */
                            unsigned char CME9:1;       /*    CME9      */
                            }      BIT;                 /*              */
                     }          TIERE;                  /*              */
               union {                                  /* TSRE         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :1;       /*              */
                            unsigned char CMF6:1;       /*    CMF6      */
                            unsigned char     :1;       /*              */
                            unsigned char CMF7:1;       /*    CMF7      */
                            unsigned char     :1;       /*              */
                            unsigned char CMF8:1;       /*    CMF8      */
                            unsigned char     :1;       /*              */
                            unsigned char CMF9:1;       /*    CMF9      */
                            }      BIT;                 /*              */
                     }          TSRE;                   /*              */
               union {                                  /* TCR7         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :5;      /*              */
                            unsigned char CKSEL:3;      /*    CKSEL     */
                            }      BIT;                 /*              */
                     }          TCR7;                   /*              */
               union {                                  /* TCR6         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :5;      /*              */
                            unsigned char CKSEL:3;      /*    CKSEL     */
                            }      BIT;                 /*              */
                     }          TCR6;                   /*              */
               union {                                  /* TCR9         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :5;      /*              */
                            unsigned char CKSEL:3;      /*    CKSEL     */
                            }      BIT;                 /*              */
                     }          TCR9;                   /*              */
               union {                                  /* TCR8         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :5;      /*              */
                            unsigned char CKSEL:3;      /*    CKSEL     */
                            }      BIT;                 /*              */
                     }          TCR8;                   /*              */
               unsigned short   TCNT6;                  /* TCNT6        */
               unsigned short   CYLR6;                  /* CYLR6        */
               unsigned short   BFR6;                   /* BFR6         */
               unsigned short   DTR6;                   /* DTR6         */
               unsigned short   TCNT7;                  /* TCNT7        */
               unsigned short   CYLR7;                  /* CYLR7        */
               unsigned short   BFR7;                   /* BFR7         */
               unsigned short   DTR7;                   /* DTR7         */
               unsigned short   TCNT8;                  /* TCNT8        */
               unsigned short   CYLR8;                  /* CYLR8        */
               unsigned short   BFR8;                   /* BFR8         */
               unsigned short   DTR8;                   /* DTR8         */
               unsigned short   TCNT9;                  /* TCNT9        */
               unsigned short   CYLR9;                  /* CYLR9        */
               unsigned short   BFR9;                   /* BFR9         */
               unsigned short   DTR9;                   /* DTR9         */
};                                                      /*              */
struct st_atu10 {                                       /* struct ATU10 */
                union {                                 /* TCR10        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char       :1;    /*              */
                             unsigned char CKSELA:3;    /*    CKSELA    */
                             unsigned char       :1;    /*              */
                             unsigned char CKSELB:3;    /*    CKSELB    */
                             }      BIT;                /*              */
                      }         TCR;                    /*              */
                union {                                 /* TCNR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CNH:1;       /*    CN10H     */
                             unsigned char CNG:1;       /*    CN10G     */
                             unsigned char CNF:1;       /*    CN10F     */
                             unsigned char CNE:1;       /*    CN10E     */
                             unsigned char CND:1;       /*    CN10D     */
                             unsigned char CNC:1;       /*    CN10C     */
                             unsigned char CNB:1;       /*    CN10B     */
                             unsigned char CNA:1;       /*    CN10A     */
                             }      BIT;                /*              */
                      }         TCNR;                   /*              */
                union {                                 /* TIERF        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char OSEH:1;      /*    OSE10H    */
                             unsigned char OSEG:1;      /*    OSE10G    */
                             unsigned char OSEF:1;      /*    OSE10F    */
                             unsigned char OSEE:1;      /*    OSE10E    */
                             unsigned char OSED:1;      /*    OSE10D    */
                             unsigned char OSEC:1;      /*    OSE10C    */
                             unsigned char OSEB:1;      /*    OSE10B    */
                             unsigned char OSEA:1;      /*    OSE10A    */
                             }      BIT;                /*              */
                      }         TIERF;                  /*              */
                union {                                 /* TSRF         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char OSFH:1;      /*    OSF10H    */
                             unsigned char OSFG:1;      /*    OSF10G    */
                             unsigned char OSFF:1;      /*    OSF10F    */
                             unsigned char OSFE:1;      /*    OSF10E    */
                             unsigned char OSFD:1;      /*    OSF10D    */
                             unsigned char OSFC:1;      /*    OSF10C    */
                             unsigned char OSFB:1;      /*    OSF10B    */
                             unsigned char OSFA:1;      /*    OSF10A    */
                             }      BIT;                /*              */
                      }         TSRF;                   /*              */
                char            wk1;                    /*              */
                union {                                 /* DSTR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char DSTH:1;      /*    DST10H    */
                             unsigned char DSTG:1;      /*    DST10G    */
                             unsigned char DSTF:1;      /*    DST10F    */
                             unsigned char DSTE:1;      /*    DST10E    */
                             unsigned char DSTD:1;      /*    DST10D    */
                             unsigned char DSTC:1;      /*    DST10C    */
                             unsigned char DSTB:1;      /*    DST10B    */
                             unsigned char DSTA:1;      /*    DST10A    */
                             }      BIT;                /*              */
                      }         DSTR;                   /*              */
                char            wk2[10];                /*              */
                unsigned short  DCNTA;                  /* DCNT10A      */
                unsigned short  DCNTB;                  /* DCNT10B      */
                unsigned short  DCNTC;                  /* DCNT10C      */
                unsigned short  DCNTD;                  /* DCNT10D      */
                unsigned short  DCNTE;                  /* DCNT10E      */
                unsigned short  DCNTF;                  /* DCNT10F      */
                unsigned short  DCNTG;                  /* DCNT10G      */
                unsigned short  DCNTH;                  /* DCNT10H      */
};                                                      /*              */
struct st_intc {                                        /* struct INTC  */
               union {                                  /* IPRA         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    IRQ0      */
                            unsigned char UL:4;         /*    IRQ1      */
                            unsigned char LU:4;         /*    IRQ2      */
                            unsigned char LL:4;         /*    IRQ3      */
                            }       BIT;                /*              */
                     }          IPRA;                   /*              */
               union {                                  /* IPRB         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    IRQ4      */
                            unsigned char UL:4;         /*    IRQ5      */
                            unsigned char LU:4;         /*    IRQ6      */
                            unsigned char LL:4;         /*    IRQ7      */
                            }       BIT;                /*              */
                     }          IPRB;                   /*              */
               union {                                  /* IPRC         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    DMAC0,1   */
                            unsigned char UL:4;         /*    DMAC2,3   */
                            unsigned char LU:4;         /*    ATU0      */
                            unsigned char LL:4;         /*    ATU0      */
                            }       BIT;                /*              */
                     }          IPRC;                   /*              */
               union {                                  /* IPRD         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    ATU0      */
                            unsigned char UL:4;         /*    ATU1      */
                            unsigned char LU:4;         /*    ATU1      */
                            unsigned char LL:4;         /*    ATU1      */
                            }       BIT;                /*              */
                     }          IPRD;                   /*              */
               union {                                  /* IPRE         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    ATU2      */
                            unsigned char UL:4;         /*    ATU3      */
                            unsigned char LU:4;         /*    ATU3      */
                            unsigned char LL:4;         /*    ATU4      */
                            }       BIT;                /*              */
                     }          IPRE;                   /*              */
               union {                                  /* IPRF         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    ATU4      */
                            unsigned char UL:4;         /*    ATU5      */
                            unsigned char LU:4;         /*    ATU6-9    */
                            unsigned char LL:4;         /*    ATU10     */
                            }       BIT;                /*              */
                     }          IPRF;                   /*              */
               union {                                  /* IPRG         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    ATU10     */
                            unsigned char UL:4;         /*    ATU10     */
                            unsigned char LU:4;         /*    CMT0,A/D0 */
                            unsigned char LL:4;         /*    CMT1,A/D1 */
                            }       BIT;                /*              */
                     }          IPRG;                   /*              */
               union {                                  /* IPRH         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    SCI0      */
                            unsigned char UL:4;         /*    SCI1      */
                            unsigned char LU:4;         /*    SCI2      */
                            unsigned char LL:4;         /*    WDT       */
                            }       BIT;                /*              */
                     }          IPRH;                   /*              */
               union {                                  /* ICR          */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char NMIL :1;      /*    NMIL      */
                            unsigned char      :6;      /*              */
                            unsigned char NMIE :1;      /*    NMIE      */
                            unsigned char IRQ0S:1;      /*    IRQ0S     */
                            unsigned char IRQ1S:1;      /*    IRQ1S     */
                            unsigned char IRQ2S:1;      /*    IRQ2S     */
                            unsigned char IRQ3S:1;      /*    IRQ3S     */
                            unsigned char IRQ4S:1;      /*    IRQ4S     */
                            unsigned char IRQ5S:1;      /*    IRQ5S     */
                            unsigned char IRQ6S:1;      /*    IRQ6S     */
                            unsigned char IRQ7S:1;      /*    IRQ7S     */
                            }       BIT;                /*              */
                     }          ICR;                    /*              */
               union {                                  /* ISR          */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :8;      /*              */
                            unsigned char IRQ0F:1;      /*    IRQ0F     */
                            unsigned char IRQ1F:1;      /*    IRQ1F     */
                            unsigned char IRQ2F:1;      /*    IRQ2F     */
                            unsigned char IRQ3F:1;      /*    IRQ3F     */
                            unsigned char IRQ4F:1;      /*    IRQ4F     */
                            unsigned char IRQ5F:1;      /*    IRQ5F     */
                            unsigned char IRQ6F:1;      /*    IRQ6F     */
                            unsigned char IRQ7F:1;      /*    IRQ7F     */
                            }       BIT;                /*              */
                     }          ISR;                    /*              */
};                                                      /*              */
struct st_pa {                                          /* struct PA    */
             union {                                    /* PADR         */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }       BIT;                  /*              */
                   }            DR;                     /*              */

};                                                      /*              */
struct st_pb {                                          /* struct PB    */
             union {                                    /* PBDR         */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :2;          /*              */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char    :2;          /*              */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }       BIT;                  /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pc {                                          /* struct PC    */
             union {                                    /* PCDR         */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :1;          /*              */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }       BIT;                  /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pe {                                          /* struct PE    */
             union {                                    /* PEDR         */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :1;          /*              */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }       BIT;                  /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pf {                                          /* struct PF    */
             union {                                    /* PFDR         */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :4;          /*              */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }       BIT;                  /*              */
                   }            DR;                     /*              */

};                                                      /*              */
struct st_pg {                                          /* struct PG    */
             union {                                    /* PGDR         */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }       BIT;                  /*              */
                   }            DR;                     /*              */

};                                                      /*              */
struct st_ph {                                          /* struct PH    */
             union {                                    /* PHDR         */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }       BIT;                  /*              */
                   }            DR;                     /*              */
};                                                      /*              */

struct st_pfc {                                         /* struct PFC   */

             union {                                    /* PAIOR        */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit 9     */
                          unsigned char B8 :1;          /*    Bit 8     */
                          unsigned char B7 :1;          /*    Bit 7     */
                          unsigned char B6 :1;          /*    Bit 6     */
                          unsigned char B5 :1;          /*    Bit 5     */
                          unsigned char B4 :1;          /*    Bit 4     */
                          unsigned char B3 :1;          /*    Bit 3     */
                          unsigned char B2 :1;          /*    Bit 2     */
                          unsigned char B1 :1;          /*    Bit 1     */
                          unsigned char B0 :1;          /*    Bit 0     */
                          }       BIT;                  /*              */
                   }            PAIOR;                  /*              */
             union {                                    /* PACR         */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                           unsigned char MD15:1;        /*    Bit 15    */
                           unsigned char MD14:1;        /*    Bit 14    */
                           unsigned char MD13:1;        /*    Bit 13    */
                           unsigned char MD12:1;        /*    Bit 12    */
                           unsigned char MD11:1;        /*    Bit 11    */
                           unsigned char MD10:1;        /*    Bit 10    */
                           unsigned char MD9 :1;        /*    Bit 9     */
                           unsigned char MD8 :1;        /*    Bit 8     */
                           unsigned char MD7 :1;        /*    Bit 7     */
                           unsigned char MD6 :1;        /*    Bit 6     */
                           unsigned char MD5 :1;        /*    Bit 5     */
                           unsigned char MD4 :1;        /*    Bit 4     */
                           unsigned char MD3 :1;        /*    Bit 3     */
                           unsigned char MD2 :1;        /*    Bit 2     */
                           unsigned char MD1 :1;        /*    Bit 1     */
                           unsigned char MD0 :1;        /*    Bit 0     */
                           }      BIT;                  /*              */
                   }            PACR;                   /*              */
              char              wk1[2];                

             union {                                    /* PBIOR        */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :2;          /*              */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit 9     */
                          unsigned char B8 :1;          /*    Bit 8     */
                          unsigned char B7 :1;          /*    Bit 7     */
                          unsigned char B6 :1;          /*    Bit 6     */
                          unsigned char    :2;          /*              */
                          unsigned char B5 :1;          /*    Bit 5     */
                          unsigned char B4 :1;          /*    Bit 4     */
                          unsigned char B3 :1;          /*    Bit 3     */
                          unsigned char B2 :1;          /*    Bit 2     */
                          unsigned char B1 :1;          /*    Bit 1     */
                          unsigned char B0 :1;          /*    Bit 0     */
                          }       BIT;                  /*              */
                   }            PBIOR;                  /*              */
             union {                                    /* PBCR         */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                           unsigned char     :1;        /*              */
                           unsigned char MD11:2;        /*    Bit 11    */
                           unsigned char MD10:1;        /*    Bit 10    */
                           unsigned char MD9 :1;        /*    Bit 9     */
                           unsigned char MD8 :1;        /*    Bit 8     */
                           unsigned char MD7 :1;        /*    Bit 7     */
                           unsigned char MD6 :1;        /*    Bit 6     */
                           unsigned char     :2;        /*              */
                           unsigned char MD5 :1;        /*    Bit 5     */
                           unsigned char MD4 :1;        /*    Bit 4     */
                           unsigned char MD3 :1;        /*    Bit 3     */
                           unsigned char MD2 :1;        /*    Bit 2     */
                           unsigned char MD1 :1;        /*    Bit 1     */
                           unsigned char MD0 :1;        /*    Bit 0     */
                           }      BIT;                  /*              */
                   }            PBCR;                   /*              */
              char              wk2[6];                

             union {                                    /* PCIOR        */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char    :1;         /*              */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           unsigned char B11:1;         /*    Bit 11    */
                           unsigned char B10:1;         /*    Bit 10    */
                           unsigned char B9 :1;         /*    Bit 9     */
                           unsigned char B8 :1;         /*    Bit 8     */
                           unsigned char B7 :1;         /*    Bit 7     */
                           unsigned char B6 :1;         /*    Bit 6     */
                           unsigned char B5 :1;         /*    Bit 5     */
                           unsigned char B4 :1;         /*    Bit 4     */
                           unsigned char B3 :1;         /*    Bit 3     */
                           unsigned char B2 :1;         /*    Bit 2     */
                           unsigned char B1 :1;         /*    Bit 1     */
                           unsigned char B0 :1;         /*    Bit 0     */
                           }      BIT;                  /*              */
                   }            PCIOR;                  /*              */
             union {                                    /* PCCR         */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }       WORD;                 /*              */
                   struct {                             /*  Byte Access */
                          unsigned char HH;             /*    High      */
                          unsigned char HL;             /*    Low       */
                          unsigned char LH;             /*    High      */
                          unsigned char LL;             /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                           unsigned char     :2;        /*              */
                           unsigned char MD14:2;        /*    Bit 14    */
                           unsigned char MD13:2;        /*    Bit 13    */
                           unsigned char MD12:2;        /*    Bit 12    */
                           unsigned char MD11:2;        /*    Bit 11    */
                           unsigned char MD10:2;        /*    Bit 10    */
                           unsigned char MD9 :2;        /*    Bit 9     */
                           unsigned char MD8 :2;        /*    Bit 8     */                                   
                           unsigned char MD7 :2;        /*    Bit 7     */
                           unsigned char MD6 :2;        /*    Bit 6     */
                           unsigned char     :1;        /*              */
                           unsigned char MD5 :1;        /*    Bit 5     */
                           unsigned char     :1;        /*              */
                           unsigned char MD4 :1;        /*    Bit 4     */
                           unsigned char     :1;        /*              */
                           unsigned char MD3 :1;        /*    Bit 3     */
                           unsigned char     :1;        /*              */
                           unsigned char MD2 :1;        /*    Bit 2     */
                           unsigned char     :1;        /*              */
                           unsigned char MD1 :1;        /*    Bit 1     */
                           unsigned char     :1;        /*              */
                           unsigned char MD0 :1;        /*    Bit 0     */
                           }      BIT;                  /*              */
                   }            PCCR;                   /*              */
              char              wk3[2];
               
              union {                                   /* PDIOR        */
                    unsigned short   WORD;              /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char  B15:1;        /*    PD15	    */
                           unsigned char  B14:1;        /*    PD14    	*/
                           unsigned char  B13:1;	    /*    PD13    	*/
                           unsigned char  B12:1;        /*    PD12   	*/
                           unsigned char  B11:1;        /*    PD11  	*/
                           unsigned char  B10:1;        /*    PD10    	*/
                           unsigned char  B9 :1;        /*    PD9  		*/
                           unsigned char  B8 :1;        /*    PD8	    */
                           unsigned char  B7 :1;        /*    PD7	    */
                           unsigned char  B6 :1;        /*    PD6    	*/
                           unsigned char  B5 :1;	    /*    PD5    	*/
                           unsigned char  B4 :1;        /*    PD4   	*/
                           unsigned char  B3 :1;        /*    PD3   	*/
                           unsigned char  B2 :1;        /*    PD2     	*/
                           unsigned char  B1 :1;        /*    PD1  		*/
                           unsigned char  B0 :1;        /*    PD0	    */
                          
                           }         BIT;
              }                 PDIOR ;
              union {                                   /* PDCR         */
                    unsigned short   WORD;              /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char  MD15:1;        /*    PD15MD    */
                           unsigned char  MD14:1;        /*    PD14MD    */
                           unsigned char  MD13:1;	    /*    PD13MD    */
                           unsigned char  MD12:1;        /*    PD12MD   	*/
                           unsigned char  MD11:1;        /*    PD11MD  	*/
                           unsigned char  MD10:1;        /*    PD10MD    */
                           unsigned char  MD9 :1;        /*    PD9MD  	*/
                           unsigned char  MD8 :1;        /*    PD8MD	    */
                           unsigned char  MD7 :1;        /*    PD7MD	    */
                           unsigned char  MD6 :1;        /*    PD6MD    	*/
                           unsigned char  MD5 :1;	    /*    PD5MD    	*/
                           unsigned char  MD4 :1;        /*    PD4MD   	*/
                           unsigned char  MD3 :1;        /*    PD3MD   	*/
                           unsigned char  MD2 :1;        /*    PD2MD     */
                           unsigned char  MD1 :1;        /*    PD1MD  	*/
                           unsigned char  MD0 :1;        /*    PD0MD	    */
                          
                           }         BIT; 
              }                 PDCR ; 
               char              wk4[4]; 
             union {                                    /* PEIOR        */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :1;          /*              */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit 9     */
                          unsigned char B8 :1;          /*    Bit 8     */
                          unsigned char B7 :1;          /*    Bit 7     */
                          unsigned char B6 :1;          /*    Bit 6     */
                          unsigned char B5 :1;          /*    Bit 5     */
                          unsigned char B4 :1;          /*    Bit 4     */
                          unsigned char B3 :1;          /*    Bit 3     */
                          unsigned char B2 :1;          /*    Bit 2     */
                          unsigned char B1 :1;          /*    Bit 1     */
                          unsigned char B0 :1;          /*    Bit 0     */
                          }       BIT;                  /*              */
                   }            PEIOR;                  /*              */
             union {                                    /* PECR         */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                           unsigned char     :1;        /*              */
                           unsigned char MD14:1;        /*    Bit 14    */
                           unsigned char MD13:1;        /*    Bit 13    */
                           unsigned char MD12:1;        /*    Bit 12    */
                           unsigned char MD11:1;        /*    Bit 11    */
                           unsigned char MD10:1;        /*    Bit 10    */
                           unsigned char MD9 :1;        /*    Bit 9     */
                           unsigned char MD8 :1;        /*    Bit 8     */
                           unsigned char MD7 :1;        /*    Bit 7     */
                           unsigned char MD6 :1;        /*    Bit 6     */
                           unsigned char MD5 :1;        /*    Bit 5     */
                           unsigned char MD4 :1;        /*    Bit 4     */
                           unsigned char MD3 :1;        /*    Bit 3     */
                           unsigned char MD2 :1;        /*    Bit 2     */
                           unsigned char MD1 :1;        /*    Bit 1     */
                           unsigned char MD0 :1;        /*    Bit 0     */
                           }      BIT;                  /*              */
                   }            PECR;                   /*              */
              char              wk5[2]; 

             union {                                    /* PFIOR        */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char    :4;         /*              */
                           unsigned char B11:1;         /*    Bit 11    */
                           unsigned char B10:1;         /*    Bit 10    */
                           unsigned char B9 :1;         /*    Bit 9     */
                           unsigned char B8 :1;         /*    Bit 8     */
                           unsigned char B7 :1;         /*    Bit 7     */
                           unsigned char B6 :1;         /*    Bit 6     */
                           unsigned char B5 :1;         /*    Bit 5     */
                           unsigned char B4 :1;         /*    Bit 4     */
                           unsigned char B3 :1;         /*    Bit 3     */
                           unsigned char B2 :1;         /*    Bit 2     */
                           unsigned char B1 :1;         /*    Bit 1     */
                           unsigned char B0 :1;         /*    Bit 0     */
                           }      BIT;                  /*              */
                   }            PFIOR;                  /*              */
             union {                                    /* PFCR         */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }       WORD;                 /*              */
                   struct {                             /*  Byte Access */
                          unsigned char wk;             /*              */
                          unsigned char HL;             /*    Low       */
                          unsigned char LH;             /*    High      */
                          unsigned char LL;             /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                           unsigned char     :8;        /*              */
                           unsigned char MD11:2;        /*    Bit 11    */
                           unsigned char MD10:2;        /*    Bit 10    */
                           unsigned char MD9 :2;        /*    Bit 9     */
                           unsigned char MD8 :2;        /*    Bit 8     */
                           unsigned char MD7 :2;        /*    Bit 7     */
                           unsigned char MD6 :2;        /*    Bit 6     */
                           unsigned char MD5 :2;        /*    Bit 5     */
                           unsigned char MD4 :2;        /*    Bit 4     */
                           unsigned char     :1;        /*              */
                           unsigned char MD3 :1;        /*    Bit 3     */
                           unsigned char     :1;        /*              */
                           unsigned char MD2 :1;        /*    Bit 2     */
                           unsigned char     :1;        /*              */
                           unsigned char MD1 :1;        /*    Bit 1     */
                           unsigned char     :1;        /*              */
                           unsigned char MD0 :1;        /*    Bit 0     */
                           }      BIT;                  /*              */
                   }            PFCR;                   /*              */
              char              wk6[2]; 

             union {                                    /* PGIOR        */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char B15:1;         /*    Bit 15    */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           unsigned char B11:1;         /*    Bit 11    */
                           unsigned char B10:1;         /*    Bit 10    */
                           unsigned char B9 :1;         /*    Bit 9     */
                           unsigned char B8 :1;         /*    Bit 8     */
                           unsigned char B7 :1;         /*    Bit 7     */
                           unsigned char B6 :1;         /*    Bit 6     */
                           unsigned char B5 :1;         /*    Bit 5     */
                           unsigned char B4 :1;         /*    Bit 4     */
                           unsigned char B3 :1;         /*    Bit 3     */
                           unsigned char B2 :1;         /*    Bit 2     */
                           unsigned char B1 :1;         /*    Bit 1     */
                           unsigned char B0 :1;         /*    Bit 0     */
                           }      BIT;                  /*              */
                   }            PGIOR;                  /*              */

             union {                                    /* PGCR         */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }       WORD;                 /*              */
                   struct {                             /*  Byte Access */
                          unsigned char HH;             /*    High      */
                          unsigned char HL;             /*    Low       */
                          unsigned char LH;             /*    High      */
                          unsigned char LL;             /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                           unsigned char MD15 :2;       /*    Bit 15    */
                           unsigned char MD14 :2;       /*    Bit 14    */
                           unsigned char      :1;       /*              */
                           unsigned char MD13 :1;       /*    Bit 13    */
                           unsigned char      :1;       /*              */
                           unsigned char MD12 :1;       /*    Bit 12    */
                           unsigned char      :1;       /*              */
                           unsigned char MD11 :1;       /*    Bit 11    */
                           unsigned char      :1;       /*              */
                           unsigned char MD10 :1;       /*    Bit 10    */
                           unsigned char      :1;       /*              */
                           unsigned char MD9  :1;       /*    Bit 9     */
                           unsigned char      :1;       /*              */
                           unsigned char MD8  :1;       /*    Bit 8     */
                           unsigned char      :1;       /*              */
                           unsigned char MD7  :1;       /*    Bit 7     */
                           unsigned char      :1;       /*              */
                           unsigned char MD6  :1;       /*    Bit 6     */
                           unsigned char      :1;       /*              */
                           unsigned char MD5  :1;       /*    Bit 5     */
                           unsigned char      :1;       /*              */
                           unsigned char MD4  :1;       /*    Bit 4     */
                           unsigned char      :1;       /*              */
                           unsigned char MD3  :1;       /*    Bit 3     */
                           unsigned char MD2  :1;       /*    Bit 2     */
                           unsigned char MD1  :1;       /*    Bit 1     */
                           unsigned char MD0  :2;       /*    Bit 0     */
                           unsigned char IRQMD:2;       /*    IRQ       */
                           }      BIT;                  /*              */
                   }            PGCR;                   /*              */
};

struct st_ad0 {                                         /* struct A/D0  */
              union {                                   /* ADTRGR       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char EXTRG:1;       /*    EXTRG     */
                           unsigned char      :7;       /*              */
                           }      BIT;                  /*              */
                    }           TRGR;                   /*              */
              char              wk[535];                /*              */
              union {                                   /* ADDR0        */
                    unsigned short WORD;                /*  Word Access */
                    unsigned char  BYTE;                /*  Byte Access */
                    }           DR0;                    /*              */
              union {                                   /* ADDR1        */
                    unsigned short WORD;                /*  Word Access */
                    unsigned char  BYTE;                /*  Byte Access */
                    }           DR1;                    /*              */
              union {                                   /* ADDR2        */
                    unsigned short WORD;                /*  Word Access */
                    unsigned char  BYTE;                /*  Byte Access */
                    }           DR2;                    /*              */
              union {                                   /* ADDR3        */
                    unsigned short WORD;                /*  Word Access */
                    unsigned char  BYTE;                /*  Byte Access */
                    }           DR3;                    /*              */
              union {                                   /* ADDR4        */
                    unsigned short WORD;                /*  Word Access */
                    unsigned char  BYTE;                /*  Byte Access */
                    }           DR4;                    /*              */
              union {                                   /* ADDR5        */
                    unsigned short WORD;                /*  Word Access */
                    unsigned char  BYTE;                /*  Byte Access */
                    }           DR5;                    /*              */
              union {                                   /* ADDR6        */
                    unsigned short WORD;                /*  Word Access */
                    unsigned char  BYTE;                /*  Byte Access */
                    }           DR6;                    /*              */
              union {                                   /* ADDR7        */
                    unsigned short WORD;                /*  Word Access */
                    unsigned char  BYTE;                /*  Byte Access */
                    }           DR7;                    /*              */
              union {                                   /* ADDR8        */
                    unsigned short WORD;                /*  Word Access */
                    unsigned char  BYTE;                /*  Byte Access */
                    }           DR8;                    /*              */
              union {                                   /* ADDR9        */
                    unsigned short WORD;                /*  Word Access */
                    unsigned char  BYTE;                /*  Byte Access */
                    }           DR9;                    /*              */
              union {                                   /* ADDR10       */
                    unsigned short WORD;                /*  Word Access */
                    unsigned char  BYTE;                /*  Byte Access */
                    }           DR10;                   /*              */
              union {                                   /* ADDR11       */
                    unsigned short WORD;                /*  Word Access */
                    unsigned char  BYTE;                /*  Byte Access */
                    }           DR11;                   /*              */
              union {                                   /* ADCSR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char ADF :1;        /*    ADF       */
                           unsigned char ADIE:1;        /*    ADIE      */
                           unsigned char ADMD:2;        /*    ADMD      */
                           unsigned char CH  :4;        /*    CH        */
                           }      BIT;                  /*              */
                    }           CSR;                    /*              */
              union {                                   /* ADCR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TRGE:1;        /*    TRGE      */
                           unsigned char CKS :1;        /*    CKS       */
                           unsigned char ADST:1;        /*    ADST      */
                           }      BIT;                  /*              */
                    }           CR;                     /*              */
};                                                      /*              */
struct st_ad1 {                                         /* struct A/D1  */
              union {                                   /* ADDR12       */
                    unsigned short WORD;                /*  Word Access */
                    unsigned char  BYTE;                /*  Byte Access */
                    }           DR12;                   /*              */
              union {                                   /* ADDR13       */
                    unsigned short WORD;                /*  Word Access */
                    unsigned char  BYTE;                /*  Byte Access */
                    }           DR13;                   /*              */
              union {                                   /* ADDR14       */
                    unsigned short WORD;                /*  Word Access */
                    unsigned char  BYTE;                /*  Byte Access */
                    }           DR14;                   /*              */
              union {                                   /* ADDR15       */
                    unsigned short WORD;                /*  Word Access */
                    unsigned char  BYTE;                /*  Byte Access */
                    }           DR15;                   /*              */
              union {                                   /* ADCSR1       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char ADF :1;        /*    ADF       */
                           unsigned char ADIE:1;        /*    ADIE      */
                           unsigned char ADST:1;        /*    ADST      */
                           unsigned char SCAN:1;        /*    SCAN      */
                           unsigned char CKS :1;        /*    CKS       */
                           unsigned char     :1;        /*              */
                           unsigned char CH  :2;        /*    CH        */
                           }      BIT;                  /*              */
                    }           CSR ;                   /*              */
              union {                                   /* ADCR1        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TRGE:1;        /*    TRGE      */
                           }      BIT;                  /*              */
                    }           CR;                     /*              */
};                                                      /*              */
struct st_apc {                                         /* struct APC   */
              union {                                   /* POPCR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char ROE;           /*    High      */
                           unsigned char SOE;           /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char PULSE7ROE:1;   /*    PULSE7ROE */
                           unsigned char PULSE6ROE:1;   /*    PULSE6ROE */
                           unsigned char PULSE5ROE:1;   /*    PULSE5ROE */
                           unsigned char PULSE4ROE:1;   /*    PULSE4ROE */
                           unsigned char PULSE3ROE:1;   /*    PULSE3ROE */
                           unsigned char PULSE2ROE:1;   /*    PULSE2ROE */
                           unsigned char PULSE1ROE:1;   /*    PULSE1ROE */
                           unsigned char PULSE0ROE:1;   /*    PULSE0ROE */
                           unsigned char PULSE7SOE:1;   /*    PULSE7SOE */
                           unsigned char PULSE6SOE:1;   /*    PULSE6SOE */
                           unsigned char PULSE5SOE:1;   /*    PULSE5SOE */
                           unsigned char PULSE4SOE:1;   /*    PULSE4SOE */
                           unsigned char PULSE3SOE:1;   /*    PULSE3SOE */
                           unsigned char PULSE2SOE:1;   /*    PULSE2SOE */
                           unsigned char PULSE1SOE:1;   /*    PULSE1SOE */
                           unsigned char PULSE0SOE:1;   /*    PULSE0SOE */
                           }       BIT;                 /*              */
                    }           POPCR;                  /*              */
};                                                      /*              */
union un_syscr {                                        /* union SYSCR  */
               unsigned char    BYTE;                   /*  Byte Access */
               struct {                                 /*  Bit  Access */
                      unsigned char     :7;             /*              */
                      unsigned char RAME:1;             /*    RAME      */
                      }         BIT;                    /*              */
};                                                      /*              */
union un_sbycr {                                        /* union SBYCR  */
               unsigned char    BYTE;                   /*  Byte Access */
               struct {                                 /*  Bit  Access */
                      unsigned char SBY:1;              /*    SBY       */
                      unsigned char HIZ:1;              /*    HIZ       */
                      }         BIT;                    /*              */
};                                                      /*              */
struct st_cmt {                                         /* struct CMT   */
              union {                                   /* CMSTR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :8;        /*              */
                           unsigned char     :6;        /*              */
                           unsigned char STR1:1;        /*    STR1      */
                           unsigned char STR0:1;        /*    STR0      */
                           }       BIT;                 /*              */
                    }           CMSTR;                  /*              */
};                                                      /*              */
struct st_cmt0 {                                        /* struct CMT0  */
               union {                                  /* CMCSR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char     :8;       /*              */
                            unsigned char CMF :1;       /*    CMF       */
                            unsigned char CMIE:1;       /*    CMIE      */
                            unsigned char     :4;       /*              */
                            unsigned char CKS :2;       /*    CKS       */
                            }       BIT;                /*              */
                     }          CMCSR;                  /*              */
               unsigned short   CMCNT;                  /* CMCNT        */
               unsigned short   CMCOR;                  /* CMCOR        */
};                                                      /*              */
struct st_ubc {                                         /* struct UBC   */
              void             *UBAR;                   /* UBAR         */
              unsigned int      UBAMR;                  /* UBAMR        */
              union {                                   /* UBBR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char   :8;          /*              */
                           unsigned char CP:2;          /*    CP        */
                           unsigned char ID:2;          /*    ID        */
                           unsigned char RW:2;          /*    RW        */
                           unsigned char SZ:2;          /*    SZ        */
                           }       BIT;                 /*              */
                    }           UBBR;                   /*              */
};                                                      /*              */
struct st_bsc {                                         /* struct BSC   */
              union {                                   /* BCR1         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :8;        /*              */
                           unsigned char     :4;        /*              */
                           unsigned char A3SZ:1;        /*    A3SZ      */
                           unsigned char A2SZ:1;        /*    A2SZ      */
                           unsigned char A1SZ:1;        /*    A1SZ      */
                           unsigned char A0SZ:1;        /*    A0SZ      */
                           }       BIT;                 /*              */
                    }           BCR1;                   /*              */
              union {                                   /* BCR2         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char IW3:2;         /*    IW3       */
                           unsigned char IW2:2;         /*    IW2       */
                           unsigned char IW1:2;         /*    IW1       */
                           unsigned char IW0:2;         /*    IW0       */
                           unsigned char CW3:1;         /*    CW3       */
                           unsigned char CW2:1;         /*    CW2       */
                           unsigned char CW1:1;         /*    CW1       */
                           unsigned char CW0:1;         /*    CW0       */
                           unsigned char SW3:1;         /*    SW3       */
                           unsigned char SW2:1;         /*    SW2       */
                           unsigned char SW1:1;         /*    SW1       */
                           unsigned char SW0:1;         /*    SW0       */
                           }       BIT;                 /*              */
                    }           BCR2;                   /*              */
              union {                                   /* WCR1         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char W3:4;          /*    W3        */
                           unsigned char W2:4;          /*    W2        */
                           unsigned char W1:4;          /*    W1        */
                           unsigned char W0:4;          /*    W0        */
                           }       BIT;                 /*              */
                    }           WCR1;                   /*              */
              union {                                   /* WCR2         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :8;         /*              */
                           unsigned char    :4;         /*              */
                           unsigned char DDW:2;         /*    DDW       */
                           unsigned char DSW:4;         /*    DSW       */
                           }       BIT;                 /*              */
                    }           WCR2;                   /*              */
};                                                      /*              */
struct st_dmac {                                        /* struct DMAC  */
               union {                                  /* DMAOR        */
                     unsigned short  WORD;              /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :6;      /*              */
                            unsigned short PR  :2;      /*    PR        */
                            unsigned short     :5;      /*              */
                            unsigned short AE  :1;      /*    AE        */
                            unsigned short NMIF:1;      /*    NMIF      */
                            unsigned short DME :1;      /*    DME       */
                            }        BIT;               /*              */
                     }          DMAOR;                  /*              */
};                                                      /*              */
struct st_dmac0 {                                       /* struct DMAC0 */
                void           *SAR;                    /* SAR          */
                void           *DAR;                    /* DAR          */
                unsigned int    DMATCR;                 /* DMATCR       */
                union {                                 /* CHCR         */
                      unsigned int   LONG;              /*  Long Access */
                      struct {                          /*  Word Access */
                             unsigned short H;          /*    High Byte */
                             unsigned short L;          /*    Low  Byte */
                             }       WORD;              /*              */
                      struct {                          /*  Bit  Access */
                             unsigned short   :13;      /*              */
                             unsigned short RL: 1;      /*    RL        */
                             unsigned short AM: 1;      /*    AM        */
                             unsigned short AL: 1;      /*    AL        */
                             unsigned short DM: 2;      /*    DM        */
                             unsigned short SM: 2;      /*    SM        */
                             unsigned short RS: 4;      /*    RS        */
                             unsigned short   : 1;      /*              */
                             unsigned short DS: 1;      /*    DS        */
                             unsigned short TM: 1;      /*    TM        */
                             unsigned short TS: 2;      /*    TS        */
                             unsigned short IE: 1;      /*    IE        */
                             unsigned short TE: 1;      /*    TE        */
                             unsigned short DE: 1;      /*    DE        */
                             }       BIT;               /*              */
                      }         CHCR;                   /*              */
};                                                      /*              */
struct st_dmac2 {                                       /* struct DMAC2 */
                void           *SAR;                    /* SAR          */
                void           *DAR;                    /* DAR          */
                unsigned int    DMATCR;                 /* DMATCR       */
                union {                                 /* CHCR         */
                      unsigned int   LONG;              /*  Long Access */
                      struct {                          /*  Word Access */
                             unsigned short H;          /*    High Byte */
                             unsigned short L;          /*    Low  Byte */
                             }       WORD;              /*              */
                      struct {                          /*  Bit  Access */
                             unsigned short   :12;      /*              */
                             unsigned short RO: 1;      /*    RO        */
                             unsigned short   : 3;      /*              */
                             unsigned short DM: 2;      /*    DM        */
                             unsigned short SM: 2;      /*    SM        */
                             unsigned short RS: 4;      /*    RS        */
                             unsigned short   : 1;      /*              */
                             unsigned short DS: 1;      /*    DS        */
                             unsigned short TM: 1;      /*    TM        */
                             unsigned short TS: 2;      /*    TS        */
                             unsigned short IE: 1;      /*    IE        */
                             unsigned short TE: 1;      /*    TE        */
                             unsigned short DE: 1;      /*    DE        */
                             }       BIT;               /*              */
                      }         CHCR;                   /*              */
};                                                      /*              */
struct st_dmac3 {                                       /* struct DMAC3 */
                void           *SAR;                    /* SAR          */
                void           *DAR;                    /* DAR          */
                unsigned int    DMATCR;                 /* DMATCR       */
                union {                                 /* CHCR         */
                      unsigned int   LONG;              /*  Long Access */
                      struct {                          /*  Word Access */
                             unsigned short H;          /*    High Byte */
                             unsigned short L;          /*    Low  Byte */
                             }       WORD;              /*              */
                      struct {                          /*  Bit  Access */
                             unsigned short   :11;      /*              */
                             unsigned short DI: 1;      /*    DI        */
                             unsigned short   : 4;      /*              */
                             unsigned short DM: 2;      /*    DM        */
                             unsigned short SM: 2;      /*    SM        */
                             unsigned short RS: 4;      /*    RS        */
                             unsigned short   : 1;      /*              */
                             unsigned short DS: 1;      /*    DS        */
                             unsigned short TM: 1;      /*    TM        */
                             unsigned short TS: 2;      /*    TS        */
                             unsigned short IE: 1;      /*    IE        */
                             unsigned short TE: 1;      /*    TE        */
                             unsigned short DE: 1;      /*    DE        */
                             }       BIT;               /*              */
                      }         CHCR;                   /*              */
};                                                      /*              */
#define SCI0  (*(volatile struct st_sci   *)0xFFFF81A0) /* SCI0  Address*/
#define SCI1  (*(volatile struct st_sci   *)0xFFFF81B0) /* SCI1  Address*/
#define SCI2  (*(volatile struct st_sci   *)0xFFFF81C0) /* SCI2  Address*/
#define ATU   (*(volatile struct st_atu   *)0xFFFF82E8) /* ATU   Address*/
#define ATU0  (*(volatile struct st_atu0  *)0xFFFF8280) /* ATU0  Address*/
#define ATU1  (*(volatile struct st_atu1  *)0xFFFF82C0) /* ATU1  Address*/
#define ATU2  (*(volatile struct st_atu2  *)0xFFFF82C6) /* ATU2  Address*/
#define ATU3  (*(volatile struct st_atu3  *)0xFFFF8200) /* ATU3-5Address*/
#define ATU6  (*(volatile struct st_atu6  *)0xFFFF8240) /* ATU6-9Address*/
#define ATU10 (*(volatile struct st_atu10 *)0xFFFF82E0) /* ATU10 Address*/
#define INTC  (*(volatile struct st_intc  *)0xFFFF8348) /* INTC  Address*/
#define PA    (*(volatile struct st_pa    *)0xFFFF8380) /* PA    Address*/
#define PB    (*(volatile struct st_pb    *)0xFFFF8386) /* PB    Address*/
#define PC    (*(volatile struct st_pc    *)0xFFFF8390) /* PC    Address*/
#define PD    (*(volatile struct st_pa    *)0xFFFF8398) /* PD    Address*/
#define PE    (*(volatile struct st_pe    *)0xFFFF83A0) /* PE    Address*/
#define PF    (*(volatile struct st_pf    *)0xFFFF83A6) /* PF    Address*/
#define PG    (*(volatile struct st_pg    *)0xFFFF83AE) /* PG    Address*/
#define PH    (*(volatile struct st_ph    *)0xFFFF83B6) /* PH    Address*/
#define PFC   (*(volatile struct st_pfc   *)0xFFFF8382) /* PFC   Address*/
#define AD0   (*(volatile struct st_ad0   *)0xFFFF83B8) /* A/D0  Address*/
#define AD1   (*(volatile struct st_ad1   *)0xFFFF85F0) /* A/D1  Address*/
#define APC   (*(volatile struct st_apc   *)0xFFFF83C0) /* APC   Address*/
#define SYSCR (*(volatile union  un_syscr *)0xFFFF83C8) /* SYSCR Address*/
#define SBYCR (*(volatile union  un_sbycr *)0xFFFF8614) /* SBYCR Address*/
#define CMT   (*(volatile struct st_cmt   *)0xFFFF83D0) /* CMT   Address*/
#define CMT0  (*(volatile struct st_cmt0  *)0xFFFF83D2) /* CMT0  Address*/
#define CMT1  (*(volatile struct st_cmt0  *)0xFFFF83D8) /* CMT1  Address*/
#define FLASH (*(volatile struct st_flash *)0xFFFF8580) /* FLASH Address*/
#define UBC   (*(volatile struct st_ubc   *)0xFFFF8600) /* UBC   Address*/
#define BSC   (*(volatile struct st_bsc   *)0xFFFF8620) /* BSC   Address*/
#define DMAC  (*(volatile struct st_dmac  *)0xFFFF86B0) /* DMAC  Address*/
#define DMAC0 (*(volatile struct st_dmac0 *)0xFFFF86C0) /* DMAC0 Address*/
#define DMAC1 (*(volatile struct st_dmac0 *)0xFFFF86D0) /* DMAC1 Address*/
#define DMAC2 (*(volatile struct st_dmac2 *)0xFFFF86E0) /* DMAC2 Address*/
#define DMAC3 (*(volatile struct st_dmac3 *)0xFFFF86F0) /* DMAC3 Address*/
#define st_pd st_pa                             /* Change Struct PD->PA */
#define st_cmt1 st_cmt0                         /* Change Struct CMT1   */
#define st_dmac1 st_dmac0                       /* Change Struct DMAC1  */
