/************************************************************************/
/*      SH7060 Series Include File                         Ver 1.1      */
/************************************************************************/
struct st_ad {                                          /* struct A/D   */
             union {                                    /* ADDRA        */
                   unsigned short WORD;                 /*  Word Access */
                   unsigned char  BYTE;                 /*  Byte Access */
                   }            DRA;                    /*              */
             union {                                    /* ADDRB        */
                   unsigned short WORD;                 /*  Word Access */
                   unsigned char  BYTE;                 /*  Byte Access */
                   }            DRB;                    /*              */
             union {                                    /* ADDRC        */
                   unsigned short WORD;                 /*  Word Access */
                   unsigned char  BYTE;                 /*  Byte Access */
                   }            DRC;                    /*              */
             union {                                    /* ADDRD        */
                   unsigned short WORD;                 /*  Word Access */
                   unsigned char  BYTE;                 /*  Byte Access */
                   }            DRD;                    /*              */
             char               wk[16];                 /*              */
             union {                                    /* ADCSR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char ADF  :1;        /*    ADF       */
                          unsigned char ADIE :1;        /*    ADIE      */
                          unsigned char ADST :1;        /*    ADST      */
                          unsigned char MULTI:1;        /*    MULTI     */
                          unsigned char CKS  :1;        /*    CKS       */
                          unsigned char      :1;        /*              */
                          unsigned char CH   :2;        /*    CH        */
                          }      BIT;                   /*              */
                   }            CSR;                    /*              */
             union {                                    /* ADCR         */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char TRGE:2;         /*    TRGE      */
                          }      BIT;                   /*              */
                   }            CR;                     /*              */
};                                                      /*              */
struct st_da {                                          /* struct D/A   */
             unsigned char      DR0;                    /* DADR0        */
             unsigned char      DR1;                    /* DADR1        */
             union {                                    /* DACR         */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char DAOE1:1;        /*    DAOE1     */
                          unsigned char DAOE0:1;        /*    DAOE0     */
                          unsigned char DAE  :1;        /*    DAE       */
                          }      BIT;                   /*              */
                   }            CR;                     /*              */
};                                                      /*              */
struct st_tpu {                                         /* struct TPU   */
              union {                                   /* TSTR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :2;        /*              */
                           unsigned char CST5:1;        /*    CST5      */
                           unsigned char CST4:1;        /*    CST4      */
                           unsigned char CST3:1;        /*    CST3      */
                           unsigned char CST2:1;        /*    CST2      */
                           unsigned char CST1:1;        /*    CST1      */
                           unsigned char CST0:1;        /*    CST0      */
                           }      BIT;                  /*              */
                    }           TSTR;                   /*              */
              union {                                   /* TSYR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :2;       /*              */
                           unsigned char SYNC5:1;       /*    SYNC5     */
                           unsigned char SYNC4:1;       /*    SYNC4     */
                           unsigned char SYNC3:1;       /*    SYNC3     */
                           unsigned char SYNC2:1;       /*    SYNC2     */
                           unsigned char SYNC1:1;       /*    SYNC1     */
                           unsigned char SYNC0:1;       /*    SYNC0     */
                           }      BIT;                  /*              */
                    }           TSYR;                   /*              */
};                                                      /*              */
struct st_tpu0 {                                        /* struct TPU0  */
               union {                                  /* TCR          */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char CCLR:3;       /*    CCLR      */
                            unsigned char CKEG:2;       /*    CKEG      */
                            unsigned char TPSC:3;       /*    TPSC      */
                            }      BIT;                 /*              */
                     }          TCR;                    /*              */
               union {                                  /* TMDR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :2;        /*              */
                            unsigned char BFB:1;        /*    BFB       */
                            unsigned char BFA:1;        /*    BFA       */
                            unsigned char MD :4;        /*    MD        */
                            }      BIT;                 /*              */
                     }          TMDR;                   /*              */
               union {                                  /* TIOR         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char H;            /*    TIORH     */
                            unsigned char L;            /*    TIORL     */
                            }       BYTE;               /*              */
                     struct {                           /*  Bit  Access */
                            unsigned char IOB:4;        /*    IOB       */
                            unsigned char IOA:4;        /*    IOA       */
                            unsigned char IOD:4;        /*    IOD       */
                            unsigned char IOC:4;        /*    IOC       */
                            }     BIT;                  /*              */
                     }          TIOR;                   /*              */
               union {                                  /* TIER         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TTGE :1;      /*    TTGE      */
                            unsigned char      :2;      /*              */
                            unsigned char TCIEV:1;      /*    TCIEV     */
                            unsigned char TGIED:1;      /*    TGIED     */
                            unsigned char TGIEC:1;      /*    TGIEC     */
                            unsigned char TGIEB:1;      /*    TGIEB     */
                            unsigned char TGIEA:1;      /*    TGIEA     */
                            }      BIT;                 /*              */
                     }          TIER;                   /*              */
               union {                                  /* TSR          */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :3;       /*              */
                            unsigned char TCFV:1;       /*    TCFV      */
                            unsigned char TGFD:1;       /*    TGFD      */
                            unsigned char TGFC:1;       /*    TGFC      */
                            unsigned char TGFB:1;       /*    TGFB      */
                            unsigned char TGFA:1;       /*    TGFA      */
                            }      BIT;                 /*              */
                     }          TSR;                    /*              */
               unsigned short   TCNT;                   /* TCNT         */
               unsigned short   TGRA;                   /* TGRA         */
               unsigned short   TGRB;                   /* TGRB         */
               unsigned short   TGRC;                   /* TGRC         */
               unsigned short   TGRD;                   /* TGRD         */
};                                                      /*              */
struct st_tpu1 {                                        /* struct TPU1  */
               union {                                  /* TCR          */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :1;       /*              */
                            unsigned char CCLR:2;       /*    CCLR      */
                            unsigned char CKEG:2;       /*    CKEG      */
                            unsigned char TPSC:3;       /*    TPSC      */
                            }      BIT;                 /*              */
                     }          TCR;                    /*              */
               union {                                  /* TMDR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char   :4;         /*              */
                            unsigned char MD:4;         /*    MD        */
                            }      BIT;                 /*              */
                     }          TMDR;                   /*              */
               union {                                  /* TIOR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char IOB:4;        /*    IOB       */
                            unsigned char IOA:4;        /*    IOA       */
                            }      BIT;                 /*              */
                     }          TIOR;                   /*              */
               char             wk;                     /*              */
               union {                                  /* TIER         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TTGE :1;      /*    TTGE      */
                            unsigned char      :1;      /*              */
                            unsigned char TCIEU:1;      /*    TCIEU     */
                            unsigned char TCIEV:1;      /*    TCIEV     */
                            unsigned char      :2;      /*              */
                            unsigned char TGIEB:1;      /*    TGIEB     */
                            unsigned char TGIEA:1;      /*    TGIEA     */
                            }      BIT;                 /*              */
                     }          TIER;                   /*              */
               union {                                  /* TSR          */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TCFD:1;       /*    TCFD      */
                            unsigned char     :1;       /*              */
                            unsigned char TCFU:1;       /*    TCFU      */
                            unsigned char TCFV:1;       /*    TCFV      */
                            unsigned char     :2;       /*              */
                            unsigned char TGFB:1;       /*    TGFB      */
                            unsigned char TGFA:1;       /*    TGFA      */
                            }      BIT;                 /*              */
                     }          TSR;                    /*              */
               unsigned short   TCNT;                   /* TCNT         */
               unsigned short   TGRA;                   /* TGRA         */
               unsigned short   TGRB;                   /* TGRB         */
};                                                      /*              */
struct st_mmt {                                         /* struct MMT   */
              union {                                   /* TMDR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :4;        /*              */
                           unsigned char OLSN:1;        /*    OLSN      */
                           unsigned char OLSP:1;        /*    OLSP      */
                           unsigned char MD  :2;        /*    MD        */
                           }      BIT;                  /*              */
                    }           TMDR;                   /*              */
              char              wk1;                    /*              */
              union {                                   /* TCNR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TTGE :1;       /*    TTGE      */
                           unsigned char CST  :1;       /*    CST       */
                           unsigned char RPRO :1;       /*    RPRO      */
                           unsigned char      :3;       /*              */
                           unsigned char TGIEN:1;       /*    TGIEN     */
                           unsigned char TGIEM:1;       /*    TGIEM     */
                           }      BIT;                  /*              */
                    }           TCNR;                   /*              */
              char              wk2;                    /*              */
              union {                                   /* TSR          */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TCFD:1;        /*    TCFD      */
                           unsigned char     :5;        /*              */
                           unsigned char TGFN:1;        /*    TGFN      */
                           unsigned char TGFM:1;        /*    TGFM      */
                           }      BIT;                  /*              */
                    }           TSR;                    /*              */
              char              wk3;                    /*              */
              unsigned short    TCNT;                   /* TCNT         */
              unsigned short    TPDR;                   /* TPDR         */
              unsigned short    TPBR;                   /* TPBR         */
              unsigned short    TDDR;                   /* TDDR         */
              char              wk4[2];                 /*              */
              unsigned short    TBRU;                   /* TBRU         */
              unsigned short    TGRUU;                  /* TGRUU        */
              unsigned short    TGRU;                   /* TGRU         */
              unsigned short    TGRUD;                  /* TGRUD        */
              unsigned short    TDCNT0;                 /* TDCNT0       */
              unsigned short    TDCNT1;                 /* TDCNT1       */
              unsigned short    TBRUF;                  /* TBRU(Free)   */
              char              wk5[2];                 /*              */
              unsigned short    TBRV;                   /* TBRV         */
              unsigned short    TGRVU;                  /* TGRVU        */
              unsigned short    TGRV;                   /* TGRV         */
              unsigned short    TGRVD;                  /* TGRVD        */
              unsigned short    TDCNT2;                 /* TDCNT2       */
              unsigned short    TDCNT3;                 /* TDCNT3       */
              unsigned short    TBRVF;                  /* TBRV(Free)   */
              char              wk6[2];                 /*              */
              unsigned short    TBRW;                   /* TBRW         */
              unsigned short    TGRWU;                  /* TGRWU        */
              unsigned short    TGRW;                   /* TGRW         */
              unsigned short    TGRWD;                  /* TGRWD        */
              unsigned short    TDCNT4;                 /* TDCNT4       */
              unsigned short    TDCNT5;                 /* TDCNT5       */
              unsigned short    TBRWF;                  /* TBRW(Free)   */
};                                                      /*              */
struct st_pwm {                                         /* struct PWM   */
              union {                                   /* TMDR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :4;        /*              */
                           unsigned char OLSN:1;        /*    OLSN      */
                           unsigned char OLSP:1;        /*    OLSP      */
                           unsigned char MD  :2;        /*    MD        */
                           }      BIT;                  /*              */
                    }           TMDR;                   /*              */
              char              wk1;                    /*              */
              union {                                   /* TCNR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TTGE :1;       /*    TTGE      */
                           unsigned char CST  :1;       /*    CST       */
                           unsigned char RPRO :1;       /*    RPRO      */
                           unsigned char      :3;       /*              */
                           unsigned char TGIEN:1;       /*    TGIEN     */
                           unsigned char TGIEM:1;       /*    TGIEM     */
                           }      BIT;                  /*              */
                    }           TCNR;                   /*              */
              char              wk2;                    /*              */
              union {                                   /* TSR          */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TCFD:1;        /*    TCFD      */
                           unsigned char     :5;        /*              */
                           unsigned char TGFN:1;        /*    TGFN      */
                           unsigned char TGFM:1;        /*    TGFM      */
                           }      BIT;                  /*              */
                    }           TSR;                    /*              */
              char              wk3;                    /*              */
              unsigned short    TCNT;                   /* TCNT         */
              unsigned short    TPDR;                   /* TPDR         */
              unsigned short    TPBR;                   /* TPBR         */
              unsigned short    TDDR;                   /* TDDR         */
};                                                      /*              */
struct st_pwmu {                                        /* struct PWMU  */
               unsigned short    TBRU;                  /* TBRU         */
               unsigned short    TGRUU;                 /* TGRUU        */
               unsigned short    TGRU;                  /* TGRU         */
               unsigned short    TGRUD;                 /* TGRUD        */
               unsigned short    TDCNT0;                /* TDCNT0       */
               unsigned short    TDCNT1;                /* TDCNT1       */
               unsigned short    TBRUF;                 /* TBRU(Free)   */
};                                                      /*              */
struct st_pwmv {                                        /* struct PWMV  */
               unsigned short    TBRV;                  /* TBRV         */
               unsigned short    TGRVU;                 /* TGRVU        */
               unsigned short    TGRV;                  /* TGRV         */
               unsigned short    TGRVD;                 /* TGRVD        */
               unsigned short    TDCNT2;                /* TDCNT2       */
               unsigned short    TDCNT3;                /* TDCNT3       */
               unsigned short    TBRVF;                 /* TBRV(Free)   */
};                                                      /*              */
struct st_pwmw {                                        /* struct PWMV  */
               unsigned short    TBRW;                  /* TBRW         */
               unsigned short    TGRWU;                 /* TGRWU        */
               unsigned short    TGRW;                  /* TGRW         */
               unsigned short    TGRWD;                 /* TGRWD        */
               unsigned short    TDCNT4;                /* TDCNT4       */
               unsigned short    TDCNT5;                /* TDCNT5       */
               unsigned short    TBRWF;                 /* TBRW(Free)   */
};                                                      /*              */
struct st_cmt {                                         /* struct CMT   */
              union {                                   /* CMSTR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :6;        /*              */
                           unsigned char STR1:1;        /*    STR1      */
                           unsigned char STR0:1;        /*    STR0      */
                           }       BIT;                 /*              */
                    }           CMSTR;                  /*              */
};                                                      /*              */
struct st_cmt0 {                                        /* struct CMT0  */
               union {                                  /* CMCSR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char H;            /*    High      */
                            unsigned char L;            /*    Low       */
                            }       BYTE;               /*              */
                     struct {                           /*  Byte Access */
                            unsigned char     :8;       /*              */
                            unsigned char CMF :1;       /*    CMF       */
                            unsigned char CMIE:1;       /*    CMIE      */
                            unsigned char     :4;       /*              */
                            unsigned char CKS :2;       /*    CKS       */
                            }       BIT;                /*              */
                     }          CMCSR;                  /*              */
               unsigned short   CMCNT;                  /* CMCNT        */
               unsigned short   CMCOR;                  /* CMCOR        */
};                                                      /*              */
struct st_poe {                                         /* struct POE   */
              union {                                   /* ICSR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }        BYTE;               /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char POE3F:1;       /*    POE3F     */
                           unsigned char POE2F:1;       /*    POE2F     */
                           unsigned char POE1F:1;       /*    POE1F     */
                           unsigned char POE0F:1;       /*    POE0F     */
                           unsigned char      :3;       /*              */
                           unsigned char PIE  :1;       /*    PIE       */
                           unsigned char POE3M:2;       /*    POE3M     */
                           unsigned char POE2M:2;       /*    POE2M     */
                           unsigned char POE1M:2;       /*    POE1M     */
                           unsigned char POE0M:2;       /*    POE0M     */
                           }       BIT;                 /*              */
              }                 ICSR;                   /*              */
};                                                      /*              */
struct st_sci {                                         /* struct SCI  */
              union {                                   /* SCSMR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char CA  :1;        /*    CA        */
                           unsigned char CHR :1;        /*    CHR       */
                           unsigned char PE  :1;        /*    PE        */
                           unsigned char OE  :1;        /*    O/E       */
                           unsigned char STOP:1;        /*    STOP      */
                           unsigned char MP  :1;        /*    MP        */
                           unsigned char CKS :2;        /*    CKS       */
                           }      BIT;                  /*              */
                    }           SCSMR;                  /*              */
              char              wk1;                    /*              */
              unsigned char     SCBRR;                  /* SCBRR        */
              char              wk2;                    /*              */
              union {                                   /* SCSCR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TIE :1;        /*    TIE       */
                           unsigned char RIE :1;        /*    RIE       */
                           unsigned char TE  :1;        /*    TE        */
                           unsigned char RE  :1;        /*    RE        */
                           unsigned char MPIE:1;        /*    MPIE      */
                           unsigned char TEIE:1;        /*    TEIE      */
                           unsigned char CKE :2;        /*    CKE       */
                           }      BIT;                  /*              */
                    }           SCSCR;                  /*              */
              char              wk3;                    /*              */
              unsigned char     SCFTDR;                 /* SCFTDR       */
              char              wk4;                    /*              */
              union {                                   /* SC1SSR       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short PERC:4;       /*    PER3-0    */
                           unsigned short FERC:4;       /*    FER3-0    */
                           unsigned short TDFE:1;       /*    TDFE      */
                           unsigned short RDF :1;       /*    RDF       */
                           unsigned short ORER:1;       /*    ORER      */
                           unsigned short FER :1;       /*    FER       */
                           unsigned short PER :1;       /*    PER       */
                           unsigned short TEND:1;       /*    TEND      */
                           unsigned short MPB :1;       /*    MPB       */
                           unsigned short MPBT:1;       /*    MPBT      */
                           }       BIT;                 /*              */
                    }           SC1SSR;                 /*              */
              union {                                   /* SC2SSR       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TLM:1;         /*    TLM       */
                           unsigned char RLM:1;         /*    RLM       */
                           unsigned char N  :2;         /*    N         */
                           unsigned char BRK:1;         /*    BRK       */
                           unsigned char DR :1;         /*    DR        */
                           unsigned char EI :1;         /*    EI        */
                           unsigned char ER :1;         /*    ER        */
                           }      BIT;                  /*              */
                    }           SC2SSR;                 /*              */
              char              wk5;                    /*              */
              unsigned char     SCFRDR;                 /* SCFRDR       */
              char              wk6;                    /*              */
              union {                                   /* SCFCR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char RTRG :2;       /*    RTRG      */
                           unsigned char TTRG :2;       /*    TTRG      */
                           unsigned char      :1;       /*              */
                           unsigned char TFRST:1;       /*    TFRST     */
                           unsigned char RFRST:1;       /*    RFRST     */
                           unsigned char LOOP :1;       /*    LOOP      */
                           }      BIT;                  /*              */
                    }           SCFCR;                  /*              */
              char              wk7;                    /*              */
              union {                                   /* SCFDR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned short  :3;          /*              */
                           unsigned short T:5;          /*    T         */
                           unsigned short  :3;          /*              */
                           unsigned short R:5;          /*    R         */
                           }       BIT;                 /*              */
                    }           SCFDR;                  /*              */
              unsigned short    SCFER;                  /* SCFER        */
              union {                                   /* SCIMR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char IRMOD:1;       /*    IRMOD     */
                           }      BIT;                  /*              */
                    }           SCIMR;                  /*              */
};                                                      /*              */
struct st_irda {                                        /* struct IrDA  */
               union {                                  /* SCSMR        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char CA  :1;       /*    CA        */
                            unsigned char ICK :4;       /*    ICK       */
                            unsigned char     :1;       /*              */
                            unsigned char CKS :2;       /*    CKS       */
                            }      BIT;                 /*              */
                     }          SCSMR;                  /*              */
               char             wk1;                    /*              */
               unsigned char    SCBRR;                  /* SCBRR        */
               char             wk2;                    /*              */
               union {                                  /* SCSCR        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TIE :1;       /*    TIE       */
                            unsigned char RIE :1;       /*    RIE       */
                            unsigned char TE  :1;       /*    TE        */
                            unsigned char RE  :1;       /*    RE        */
                            unsigned char     :1;       /*              */
                            unsigned char TEIE:1;       /*    TEIE      */
                            unsigned char CKE :2;       /*    CKE       */
                            }      BIT;                 /*              */
                     }          SCSCR;                  /*              */
               char             wk3;                    /*              */
               unsigned char    SCFTDR;                 /* SCFTDR       */
               char             wk4;                    /*              */
               union {                                  /* SC1SSR       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short PERC:4;      /*    PER3-0    */
                            unsigned short FERC:4;      /*    FER3-0    */
                            unsigned short TDFE:1;      /*    TDFE      */
                            unsigned short RDF :1;      /*    RDF       */
                            unsigned short ORER:1;      /*    ORER      */
                            unsigned short FER :1;      /*    FER       */
                            unsigned short PER :1;      /*    PER       */
                            unsigned short TEND:1;      /*    TEND      */
                            }       BIT;                /*              */
                     }          SC1SSR;                 /*              */
               union {                                  /* SC2SSR       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TLM:1;        /*    TLM       */
                            unsigned char RLM:1;        /*    RLM       */
                            unsigned char N  :2;        /*    N         */
                            unsigned char BRK:1;        /*    BRK       */
                            unsigned char DR :1;        /*    DR        */
                            unsigned char EI :1;        /*    EI        */
                            unsigned char ER :1;        /*    ER        */
                            }      BIT;                 /*              */
                     }          SC2SSR;                 /*              */
               char             wk5;                    /*              */
               unsigned char    SCFRDR;                 /* SCFRDR       */
               char             wk6;                    /*              */
               union {                                  /* SCFCR        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char RTRG :2;      /*    RTRG      */
                            unsigned char TTRG :2;      /*    TTRG      */
                            unsigned char      :1;      /*              */
                            unsigned char TFRST:1;      /*    TFRST     */
                            unsigned char RFRST:1;      /*    RFRST     */
                            unsigned char LOOP :1;      /*    LOOP      */
                            }      BIT;                 /*              */
                     }          SCFCR;                  /*              */
               char             wk7;                    /*              */
               union {                                  /* SCFDR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned short  :3;         /*              */
                            unsigned short T:5;         /*    T         */
                            unsigned short  :3;         /*              */
                            unsigned short R:5;         /*    R         */
                            }       BIT;                /*              */
                     }          SCFDR;                  /*              */
               unsigned short   SCFER;                  /* SCFER        */
               union {                                  /* SCIMR        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char IRMOD:1;      /*    IRMOD     */
                            unsigned char PSEL :1;      /*    PSEL      */
                            unsigned char RIVS :1;      /*    RIVS      */
                            }      BIT;                 /*              */
                     }          SCIMR;                  /*              */
};                                                      /*              */
struct st_flash {                                       /* struct FLASH */
                union {                                 /* FLMCR1       */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char FWE:1;       /*    FWE       */
                             unsigned char SWE:1;       /*    SWE       */
                             unsigned char ESU:1;       /*    ESU       */
                             unsigned char PSU:1;       /*    PSU       */
                             unsigned char EV :1;       /*    EV        */
                             unsigned char PV :1;       /*    PV        */
                             unsigned char E  :1;       /*    E         */
                             unsigned char P  :1;       /*    P         */
                             }      BIT;                /*              */
                      }         FLMCR1;                 /*              */
                union {                                 /* FLMCR2       */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char FLER:1;      /*    FLER      */
                             }      BIT;                /*              */
                      }         FLMCR2;                 /*              */
                union {                                 /* EBR1         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char EB7:1;       /*    EB7       */
                             unsigned char EB6:1;       /*    EB6       */
                             unsigned char EB5:1;       /*    EB5       */
                             unsigned char EB4:1;       /*    EB4       */
                             unsigned char EB3:1;       /*    EB3       */
                             unsigned char EB2:1;       /*    EB2       */
                             unsigned char EB1:1;       /*    EB1       */
                             unsigned char EB0:1;       /*    EB0       */
                             }      BIT;                /*              */
                      }         EBR1;                   /*              */
                union {                                 /* EBR2         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :4;      /*              */
                             unsigned char EB11:1;      /*    EB11      */
                             unsigned char EB10:1;      /*    EB10      */
                             unsigned char EB9 :1;      /*    EB9       */
                             unsigned char EB8 :1;      /*    EB8       */
                             }      BIT;                /*              */
                      }         EBR2;                   /*              */
                char            wk[1132];               /*              */
                union {                                 /* RAMER        */
                      unsigned short WORD;              /*  Word Access */
                      struct {                          /*  Byte Access */
                             unsigned char H;           /*    High      */
                             unsigned char L;           /*    Low       */
                             }        BYTE;             /*              */
                      struct {                          /*  Bit  Access */
                             unsigned char      :8;     /*              */
                             unsigned char      :3;     /*              */
                             unsigned char RAMAS:1;     /*    RAMAS     */
                             unsigned char RAMS :1;     /*    RAMS      */
                             unsigned char RAM2 :1;     /*    RAM2      */
                             unsigned char RAM1 :1;     /*    RAM1      */
                             unsigned char RAM0 :1;     /*    RAM0      */
                             }      BIT;                /*              */
                      }         RAMER;                  /*              */
};                                                      /*              */
struct st_bsc {                                         /* struct BSC   */
              union {                                   /* BCR          */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char BREQ  :1;      /*    BEQ       */
                           unsigned char BAS   :1;      /*    BAS       */
                           unsigned char HIZCNT:1;      /*    HIZCNT    */
                           }      BIT;                  /*              */
                    }           BCR;                    /*              */
              char              wk1[14];                /*              */
              union {                                   /* ACR1_0       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned short ENDIAN:1;     /*    ENDIAN    */
                           unsigned short TP    :2;     /*    TP        */
                           unsigned short EXWE  :1;     /*    EXWE      */
                           unsigned short       :1;     /*              */
                           unsigned short SZ    :2;     /*    SZ        */
                           unsigned short IW    :3;     /*    IW        */
                           unsigned short SWH   :3;     /*    SWH       */
                           unsigned short SWT   :3;     /*    SWT       */
                           }       BIT;                 /*              */
                    }           ACR1_0;                 /*              */
              union {                                   /* ACR1_1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned short ENDIAN:1;     /*    ENDIAN    */
                           unsigned short TP    :2;     /*    TP        */
                           unsigned short EXWE  :1;     /*    EXWE      */
                           unsigned short       :1;     /*              */
                           unsigned short SZ    :2;     /*    SZ        */
                           unsigned short IW    :3;     /*    IW        */
                           unsigned short SWH   :3;     /*    SWH       */
                           unsigned short SWT   :3;     /*    SWT       */
                           }       BIT;                 /*              */
                    }           ACR1_1;                 /*              */
              union {                                   /* ACR1_2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned short ENDIAN:1;     /*    ENDIAN    */
                           unsigned short TP    :2;     /*    TP        */
                           unsigned short EXWE  :1;     /*    EXWE      */
                           unsigned short       :1;     /*              */
                           unsigned short SZ    :2;     /*    SZ        */
                           unsigned short IW    :3;     /*    IW        */
                           unsigned short SWH   :3;     /*    SWH       */
                           unsigned short SWT   :3;     /*    SWT       */
                           }       BIT;                 /*              */
                    }           ACR1_2;                 /*              */
              union {                                   /* ACR1_3       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned short ENDIAN:1;     /*    ENDIAN    */
                           unsigned short TP    :2;     /*    TP        */
                           unsigned short EXWE  :1;     /*    EXWE      */
                           unsigned short       :1;     /*              */
                           unsigned short SZ    :2;     /*    SZ        */
                           unsigned short IW    :3;     /*    IW        */
                           unsigned short SWH   :3;     /*    SWH       */
                           unsigned short SWT   :3;     /*    SWT       */
                           }       BIT;                 /*              */
                    }           ACR1_3;                 /*              */
              char              wk2[8];                 /*              */
              union {                                   /* ACR1_4       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char ENDIAN:1;      /*    ENDIAN    */
                           unsigned char       :2;      /*              */
                           unsigned char EXWE  :1;      /*    EXWE      */
                           }       BIT;                 /*              */
                    }           ACR1_4;                 /*              */
              union {                                   /* ACR1_5       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char ENDIAN:1;      /*    ENDIAN    */
                           unsigned char       :2;      /*              */
                           unsigned char EXWE  :1;      /*    EXWE      */
                           }       BIT;                 /*              */
                    }           ACR1_5;                 /*              */
              char              wk3[12];                /*              */
              union {                                   /* WCR_0        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char W   :4;        /*    W         */
                           unsigned char DSWW:4;        /*    DSWW      */
                           unsigned char DSWR:4;        /*    DSWR      */
                           unsigned char HWW :3;        /*    HWW       */
                           }       BIT;                 /*              */
                    }           WCR_0;                  /*              */
              union {                                   /* WCR_1        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char W   :4;        /*    W         */
                           unsigned char DSWW:4;        /*    DSWW      */
                           unsigned char DSWR:4;        /*    DSWR      */
                           unsigned char HWW :3;        /*    HWW       */
                           }       BIT;                 /*              */
                    }           WCR_1;                  /*              */
              union {                                   /* WCR_2        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char W   :4;        /*    W         */
                           unsigned char DSWW:4;        /*    DSWW      */
                           unsigned char DSWR:4;        /*    DSWR      */
                           unsigned char HWW :3;        /*    HWW       */
                           }       BIT;                 /*              */
                    }           WCR_2;                  /*              */
              union {                                   /* WCR_3        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char W   :4;        /*    W         */
                           unsigned char DSWW:4;        /*    DSWW      */
                           unsigned char DSWR:4;        /*    DSWR      */
                           unsigned char HWW :3;        /*    HWW       */
                           }       BIT;                 /*              */
                    }           WCR_3;                  /*              */
              char              wk4[8];                 /*              */
              union {                                   /* DCR1         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char TPC :2;        /*    TPC       */
                           unsigned char TPCS:3;        /*    TPCS      */
                           unsigned char RCD :3;        /*    RCD       */
                           unsigned char     :2;        /*              */
                           unsigned char DWW :2;        /*    DWW       */
                           unsigned char DWR :2;        /*    DWR       */
                           }       BIT;                 /*              */
                    }           DCR1;                   /*              */
              union {                                   /* DCR2         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned short DIW :3;       /*    DIW       */
                           unsigned short DDWW:4;       /*    DDWW      */
                           unsigned short DDWR:4;       /*    DDWR      */
                           unsigned short RDW :1;       /*    RDW       */
                           unsigned short TCAS:1;       /*    TCAS      */
                           }       BIT;                 /*              */
                    }           DCR2;                   /*              */
              union {                                   /* DCR3         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char BE  :1;        /*    BE        */
                           unsigned char RSD :1;        /*    RSD       */
                           unsigned char EDO :1;        /*    EDO       */
                           unsigned char DSZ :2;        /*    DSZ       */
                           unsigned char AMX :3;        /*    AMX       */
                           unsigned char RFSH:1;        /*    RFSH      */
                           unsigned char RMD :1;        /*    RMD       */
                           }       BIT;                 /*              */
                    }           DCR3;                   /*              */
              char              wk5[34];                /*              */
              union {                                   /* RTCSR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char CMF  :1;       /*    CMF       */
                           unsigned char CMIE :1;       /*    CMIE      */
                           unsigned char CKS  :3;       /*    CKS       */
                           unsigned char OVF  :1;       /*    OVF       */
                           unsigned char OVIE :1;       /*    OVIE      */
                           unsigned char LMTS1:1;       /*    LMTS1     */
                           unsigned char LMTS0:1;       /*    LMTS0     */
                           unsigned char BREF :3;       /*    BREF      */
                           unsigned char TRAS :3;       /*    TRAS      */
                           }       BIT;                 /*              */
                    }           RTCSR;                  /*              */
              char              wk6;                    /*              */
              unsigned char     RTCNT;                  /* RTCNT        */
              char              wk7;                    /*              */
              unsigned char     RTCOR;                  /* RTCOR        */
              unsigned short    RFCR;                   /* RFCR         */
};                                                      /*              */
struct st_ubc {                                         /* struct UBC   */
              void             *UBAR;                   /* UBAR         */
              unsigned int      UBAMR;                  /* UBAMR        */
              union {                                   /* UBBR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char UBIE:1;        /*    UBIE      */
                           unsigned char     :5;        /*              */
                           unsigned char XYE :1;        /*    XYE       */
                           unsigned char XYS :1;        /*    XYS       */
                           unsigned char CP  :2;        /*    CP        */
                           unsigned char ID  :2;        /*    ID        */
                           unsigned char RW  :2;        /*    RW        */
                           unsigned char SZ  :2;        /*    SZ        */
                           }       BIT;                 /*              */
                    }           UBBR;                   /*              */
};                                                      /*              */
union un_sbycr {                                        /* union SBYCR  */
               unsigned char BYTE;                      /*  Byte Access */
               struct {                                 /*  Bit  Access */
                      unsigned char SBY:1;              /*    SBY       */
                      unsigned char HIZ:1;              /*    HIZ       */
                      }      BIT;                       /*              */
};                                                      /*              */
union un_msr {                                          /* union MSR    */
              unsigned char BYTE;                       /*  Byte Access */
              struct {                                  /*  Bit  Access */
                     unsigned char   :2;                /*              */
                     unsigned char MD:6;                /*    MD        */
                     }      BIT;                        /*              */
};                                                      /*              */
union un_frqcr {                                        /* union FRQCR  */
               unsigned short WORD;                     /*  Word Access */
               struct {                                 /*  Byte Access */
                      unsigned char H;                  /*    High      */
                      unsigned char L;                  /*    Low       */
                      }       BYTE;                     /*              */
               struct {                                 /*  Bit  Access */
                      unsigned char CKIOOE:1;           /*    CKIOOE    */
                      unsigned char CKOE  :1;           /*    CKOE      */
                      unsigned char       :6;           /*              */
                      unsigned char FR    :8;           /*    FR        */
                      }       BIT;                      /*              */
};                                                      /*              */
union un_modecr {                                       /* union MODECR */
                unsigned char BYTE;                     /*  Byte Access */
                struct {                                /*  Bit  Access */
                       unsigned char      :3;           /*              */
                       unsigned char ROMMD:1;           /*    ROMMD     */
                       }      BIT;                      /*              */
};                                                      /*              */
union un_mstpcr {                                       /* union MSTPCR */
                unsigned int LONG;                      /*  Long Access */
                struct {                                /*  Word Access */
                       unsigned short H;                /*    High      */
                       unsigned short L;                /*    Low       */
                       }     WORD;                      /*              */
                struct {                                /*  Byte Access */
                       unsigned char HH;                /*    High,High */
                       unsigned char HL;                /*    High,Low  */
                       unsigned char LH;                /*    Low ,High */
                       unsigned char LL;                /*    Low ,Low  */
                       }     BYTE;                      /*              */
                struct {                                /*  Bit  Access */
                       unsigned char B31:1;             /*    X/Y-RAM   */
                       unsigned char B30:1;             /*    ROM       */
                       unsigned char    :1;             /*              */
                       unsigned char B28:1;             /*    UBC       */
                       unsigned char B27:1;             /*    DMAC      */
                       unsigned char    :3;             /*              */
                       unsigned char    :8;             /*              */
                       unsigned char B15:1;             /*    SCI0      */
                       unsigned char B14:1;             /*    SCI1      */
                       unsigned char B13:1;             /*    SCI2      */
                       unsigned char    :1;             /*              */
                       unsigned char B11:1;             /*    CMT       */
                       unsigned char    :1;             /*              */
                       unsigned char B9 :1;             /*    MMT       */
                       unsigned char B8 :1;             /*    POE       */
                       unsigned char B7 :1;             /*    TPU       */
                       unsigned char B6 :1;             /*    A/D       */
                       unsigned char B5 :1;             /*    D/A       */
                       }     BIT;                       /*              */
};                                                      /*              */
struct st_mclk {                                        /* struct MCLK  */
               union {                                  /* MCLKCR2      */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char H;            /*    High      */
                            unsigned char L;            /*    Low       */
                            }       BYTE;               /*              */
                     struct {                           /*  Bit  Access */
                            unsigned char   :1;         /*              */
                            unsigned char UU:3;         /*    TPU       */
                            unsigned char   :1;         /*              */
                            unsigned char UL:3;         /*    A/D       */
                            unsigned char   :1;         /*              */
                            unsigned char LU:3;         /*    D/A       */
                            }       BIT;                /*              */
                     }           CR2;                   /*              */
               union {                                  /* MCLKCR3      */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char H;            /*    High      */
                            unsigned char L;            /*    Low       */
                            }       BYTE;               /*              */
                     struct {                           /*  Bit  Access */
                            unsigned char   :1;         /*              */
                            unsigned char UU:3;         /*    CMT       */
                            unsigned char   :4;         /*              */
                            unsigned char   :1;         /*              */
                            unsigned char LU:3;         /*    MMT       */
                            unsigned char   :1;         /*              */
                            unsigned char LL:3;         /*    POE       */
                            }       BIT;                /*              */
                     }          CR3;                    /*              */
               union {                                  /* MCLKCR4      */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char H;            /*    High      */
                            unsigned char L;            /*    Low       */
                            }       BYTE;               /*              */
                     struct {                           /*  Bit  Access */
                            unsigned char   :1;         /*              */
                            unsigned char UU:3;         /*    SCI0      */
                            unsigned char   :1;         /*              */
                            unsigned char UL:3;         /*    SCI1      */
                            unsigned char   :1;         /*              */
                            unsigned char LU:3;         /*    SCI2      */
                            }       BIT;                /*              */
                     }          CR4;                    /*              */
               union {                                  /* MCLKCR5      */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char H;            /*    High      */
                            unsigned char L;            /*    Low       */
                            }       BYTE;               /*              */
                     struct {                           /*  Bit  Access */
                            unsigned char   :2;         /*              */
                            unsigned char UU:2;         /*    CPU       */
                            }       BIT;                /*              */
                     }          CR5;                    /*              */
};                                                      /*              */
struct st_intc {                                        /* struct INTC  */
               union {                                  /* IPRA         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char H;            /*    High      */
                            unsigned char L;            /*    Low       */
                            }       BYTE;               /*              */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    IRQ0      */
                            unsigned char UL:4;         /*    IRQ1      */
                            unsigned char LU:4;         /*    IRQ2      */
                            unsigned char LL:4;         /*    IRQ3      */
                            }       BIT;                /*              */
                     }          IPRA;                   /*              */
               union {                                  /* IPRB         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char H;            /*    High      */
                            unsigned char L;            /*    Low       */
                            }       BYTE;               /*              */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    IRQ4      */
                            unsigned char UL:4;         /*    IRQ5      */
                            unsigned char LU:4;         /*    IRQ6      */
                            unsigned char LL:4;         /*    IRQ7      */
                            }       BIT;                /*              */
                     }          IPRB;                   /*              */
               char             wk1[4];                 /*              */
               union {                                  /* IPRE         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char H;            /*    High      */
                            unsigned char L;            /*    Low       */
                            }       BYTE;               /*              */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    DMAC0     */
                            unsigned char UL:4;         /*    DMAC1     */
                            unsigned char LU:4;         /*    DMAC2     */
                            unsigned char LL:4;         /*    DMAC3     */
                            }       BIT;                /*              */
                     }          IPRE;                   /*              */
               char             wk2[2];                 /*              */
               union {                                  /* IPRG         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char H;            /*    High      */
                            unsigned char L;            /*    Low       */
                            }       BYTE;               /*              */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    BSC       */
                            unsigned char UL:4;         /*    BSC       */
                            unsigned char LU:4;         /*    WDT       */
                            }       BIT;                /*              */
                     }          IPRG;                   /*              */
               union {                                  /* IPRH         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char H;            /*    High      */
                            unsigned char L;            /*    Low       */
                            }       BYTE;               /*              */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    TPU0      */
                            unsigned char UL:4;         /*    TPU0      */
                            unsigned char LU:4;         /*    TPU1      */
                            unsigned char LL:4;         /*    TPU1      */
                            }       BIT;                /*              */
                     }          IPRH;                   /*              */
               union {                                  /* IPRI         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char H;            /*    High      */
                            unsigned char L;            /*    Low       */
                            }       BYTE;               /*              */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    TPU2      */
                            unsigned char UL:4;         /*    TPU2      */
                            unsigned char LU:4;         /*    TPU3      */
                            unsigned char LL:4;         /*    TPU3      */
                            }       BIT;                /*              */
                     }          IPRI;                   /*              */
               union {                                  /* IPRJ         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char H;            /*    High      */
                            unsigned char L;            /*    Low       */
                            }       BYTE;               /*              */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    TPU4      */
                            unsigned char UL:4;         /*    TPU4      */
                            unsigned char LU:4;         /*    TPU5      */
                            unsigned char LL:4;         /*    TPU5      */
                            }       BIT;                /*              */
                     }          IPRJ;                   /*              */
               union {                                  /* IPRK         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char H;            /*    High      */
                            unsigned char L;            /*    Low       */
                            }       BYTE;               /*              */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    SCI0      */
                            unsigned char UL:4;         /*    SCI1      */
                            unsigned char LU:4;         /*    SCI2      */
                            }       BIT;                /*              */
                     }          IPRK;                   /*              */
               union {                                  /* IPRL         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char H;            /*    High      */
                            unsigned char L;            /*    Low       */
                            }       BYTE;               /*              */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    CMT       */
                            unsigned char UL:4;         /*    A/D       */
                            unsigned char LU:4;         /*    MMT       */
                            unsigned char LL:4;         /*    POE(I/O)  */
                            }       BIT;                /*              */
                     }          IPRL;                   /*              */
               char             wk3[6];                 /*              */
               union {                                  /* ICR1         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char NMIL :1;      /*    NMIL      */
                            unsigned char      :4;      /*              */
                            unsigned char EXIMD:1;      /*    EXIMD     */
                            unsigned char      :1;      /*              */
                            unsigned char NMIE :1;      /*    NMIE      */
                            }      BIT;                 /*              */
                     }          ICR1;                   /*              */
               char             wk4[2];                 /*              */
               union {                                  /* ICR2         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char IRQ7S:1;      /*    IRQ7S     */
                            unsigned char IRQ6S:1;      /*    IRQ6S     */
                            unsigned char IRQ5S:1;      /*    IRQ5S     */
                            unsigned char IRQ4S:1;      /*    IRQ4S     */
                            unsigned char IRQ3S:1;      /*    IRQ3S     */
                            unsigned char IRQ2S:1;      /*    IRQ2S     */
                            unsigned char IRQ1S:1;      /*    IRQ1S     */
                            unsigned char IRQ0S:1;      /*    IRQ0S     */
                            }      BIT;                 /*              */
                     }          ICR2;                   /*              */
               char             wk5;                    /*              */
               union {                                  /* ISR          */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char IRQ7F:1;      /*    IRQ7F     */
                            unsigned char IRQ6F:1;      /*    IRQ6F     */
                            unsigned char IRQ5F:1;      /*    IRQ5F     */
                            unsigned char IRQ4F:1;      /*    IRQ4F     */
                            unsigned char IRQ3F:1;      /*    IRQ3F     */
                            unsigned char IRQ2F:1;      /*    IRQ2F     */
                            unsigned char IRQ1F:1;      /*    IRQ1F     */
                            unsigned char IRQ0F:1;      /*    IRQ0F     */
                            }      BIT;                 /*              */
                     }          ISR;                    /*              */
};                                                      /*              */
struct st_dmac {                                        /* struct DMAC  */
               union {                                  /* DMAOR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :4;      /*              */
                            unsigned short RC  :4;      /*    PR        */
                            unsigned short     :5;      /*              */
                            unsigned short AE  :1;      /*    AE        */
                            unsigned short NMIF:1;      /*    NMIF      */
                            unsigned short DME :1;      /*    DME       */
                            }       BIT;                /*              */
                     }          DMAOR;                  /*              */
};                                                      /*              */
struct st_dmac0 {                                       /* struct DMAC0 */
                void           *SAR;                    /* SAR          */
                void           *DAR;                    /* DAR          */
                unsigned int    DMATCR;                 /* DMATCR       */
                union {                                 /* CHCR         */
                      unsigned int LONG;                /*  Long Access */
                      struct {                          /*  Word Access */
                             unsigned short H;          /*    High Byte */
                             unsigned short L;          /*    Low  Byte */
                             }     WORD;                /*              */
                      struct {                          /*  Bit  Access */
                             unsigned short      :3;    /*              */
                             unsigned short RS   :5;    /*    RS        */
                             unsigned short      :1;    /*              */
                             unsigned short FIFOS:1;    /*    FIFOS     */
                             unsigned short      :2;    /*              */
                             unsigned short NDARE:1;    /*    NDARE     */
                             unsigned short NSARE:1;    /*    NSARE     */
                             unsigned short FCS  :1;    /*    FCS       */
                             unsigned short TES  :1;    /*    TES       */
                             unsigned short DM   :2;    /*    DM        */
                             unsigned short SM   :2;    /*    SM        */
                             unsigned short CHNE :1;    /*    CHNE      */
                             unsigned short RL   :1;    /*    RL        */
                             unsigned short AM   :1;    /*    AM        */
                             unsigned short AL   :1;    /*    AL        */
                             unsigned short TEND :1;    /*    TEND      */
                             unsigned short DS   :1;    /*    DS        */
                             unsigned short TM   :1;    /*    TM        */
                             unsigned short TS   :2;    /*    TS        */
                             unsigned short IE   :1;    /*    IE        */
                             unsigned short TE   :1;    /*    TE        */
                             unsigned short DE   :1;    /*    DE        */
                             }     BIT;                 /*              */
                      }         CHCR;                   /*              */
                void           *NSAR;                   /* NSAR         */
                void           *NDAR;                   /* NDAR         */
                unsigned int    NDMATCR;                /* NDMATCR      */
                unsigned int    CHNCNT;                 /* CHNCNT       */
};                                                      /*              */
struct st_pa {                                          /* struct PA    */
             union {                                    /* PADR         */
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          unsigned char HH;             /*    High,High */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :6;          /*              */
                          unsigned char B25:1;          /*    Bit 25    */
                          unsigned char B24:1;          /*    Bit 24    */
                          unsigned char B23:1;          /*    Bit 23    */
                          unsigned char B22:1;          /*    Bit 22    */
                          unsigned char B21:1;          /*    Bit 21    */
                          unsigned char B20:1;          /*    Bit 20    */
                          unsigned char B19:1;          /*    Bit 19    */
                          unsigned char B18:1;          /*    Bit 18    */
                          unsigned char B17:1;          /*    Bit 17    */
                          unsigned char B16:1;          /*    Bit 16    */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char    :2;          /*              */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char    :6;          /*              */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pb {                                          /* struct PB    */
             union {                                    /* PBDR         */
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          char          wk;             /*              */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :8;          /*              */
                          unsigned char B23:1;          /*    Bit 23    */
                          unsigned char B22:1;          /*    Bit 22    */
                          unsigned char B21:1;          /*    Bit 21    */
                          unsigned char B20:1;          /*    Bit 20    */
                          unsigned char B19:1;          /*    Bit 19    */
                          unsigned char B18:1;          /*    Bit 18    */
                          unsigned char B17:1;          /*    Bit 17    */
                          unsigned char B16:1;          /*    Bit 16    */
                          unsigned char    :2;          /*              */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char    :5;          /*              */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pc {                                          /* struct PC    */
             union {                                    /* PCDR         */
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          unsigned char HH;             /*    High,High */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :6;          /*              */
                          unsigned char B25:1;          /*    Bit 25    */
                          unsigned char B24:1;          /*    Bit 24    */
                          unsigned char B23:1;          /*    Bit 23    */
                          unsigned char B22:1;          /*    Bit 22    */
                          unsigned char B21:1;          /*    Bit 21    */
                          unsigned char B20:1;          /*    Bit 20    */
                          unsigned char B19:1;          /*    Bit 19    */
                          unsigned char B18:1;          /*    Bit 18    */
                          unsigned char B17:1;          /*    Bit 17    */
                          unsigned char B16:1;          /*    Bit 16    */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pd {                                          /* struct PD    */
             union {                                    /* PDDR         */
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          unsigned char HH;             /*    High,High */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B31:1;          /*    Bit 31    */
                          unsigned char B30:1;          /*    Bit 30    */
                          unsigned char B29:1;          /*    Bit 29    */
                          unsigned char B28:1;          /*    Bit 28    */
                          unsigned char B27:1;          /*    Bit 27    */
                          unsigned char B26:1;          /*    Bit 26    */
                          unsigned char B25:1;          /*    Bit 25    */
                          unsigned char B24:1;          /*    Bit 24    */
                          unsigned char B23:1;          /*    Bit 23    */
                          unsigned char B22:1;          /*    Bit 22    */
                          unsigned char B21:1;          /*    Bit 21    */
                          unsigned char B20:1;          /*    Bit 20    */
                          unsigned char B19:1;          /*    Bit 19    */
                          unsigned char B18:1;          /*    Bit 18    */
                          unsigned char B17:1;          /*    Bit 17    */
                          unsigned char B16:1;          /*    Bit 16    */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pe {                                          /* struct PE    */
             union {                                    /* PEDR         */
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          unsigned char wk;             /*              */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :8;          /*              */
                          unsigned char B23:1;          /*    Bit 23    */
                          unsigned char B22:1;          /*    Bit 22    */
                          unsigned char B21:1;          /*    Bit 21    */
                          unsigned char B20:1;          /*    Bit 20    */
                          unsigned char B19:1;          /*    Bit 19    */
                          unsigned char B18:1;          /*    Bit 18    */
                          unsigned char B17:1;          /*    Bit 17    */
                          unsigned char B16:1;          /*    Bit 16    */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pf {                                          /* struct PF    */
             union {                                    /* PFDR         */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char   :8;           /*              */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char   :1;           /*              */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          }       BIT;                  /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pg {                                          /* struct PG    */
             union {                                    /* PGDR         */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :8;          /*              */
                          unsigned char B31:1;          /*    Bit 31    */
                          unsigned char B30:1;          /*    Bit 30    */
                          unsigned char B29:1;          /*    Bit 29    */
                          }       BIT;                  /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_ph {                                          /* struct PH    */
             union {                                    /* PHDR         */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char   :6;           /*              */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pi {                                          /* struct PI    */
             union {                                    /* PIDR         */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pfc {                                         /* struct PFC   */
              union {                                   /* PAIORH       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :6;         /*              */
                           unsigned char B25:1;         /*    Bit 25    */
                           unsigned char B24:1;         /*    Bit 24    */
                           unsigned char B23:1;         /*    Bit 23    */
                           unsigned char B22:1;         /*    Bit 22    */
                           unsigned char B21:1;         /*    Bit 21    */
                           unsigned char B20:1;         /*    Bit 20    */
                           unsigned char B19:1;         /*    Bit 19    */
                           unsigned char B18:1;         /*    Bit 18    */
                           unsigned char B17:1;         /*    Bit 17    */
                           unsigned char B16:1;         /*    Bit 16    */
                           }       BIT;                 /*              */
                    }           PAIORH;                 /*              */
              union {                                   /* PAIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char B15:1;         /*    Bit 15    */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           unsigned char    :2;         /*              */
                           unsigned char B9 :1;         /*    Bit  9    */
                           unsigned char B8 :1;         /*    Bit  8    */
                           unsigned char    :6;         /*              */
                           unsigned char B1 :1;         /*    Bit  1    */
                           unsigned char B0 :1;         /*    Bit  0    */
                           }       BIT;                 /*              */
                    }           PAIORL;                 /*              */
              union {                                   /* PACRH1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :8;        /*              */
                           unsigned char     :5;        /*              */
                           unsigned char MD25:1;        /*    PA25MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD24:1;        /*    PA24MD    */
                           }       BIT;                 /*              */
                    }           PACRH1;                 /*              */
              union {                                   /* PACRH2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :1;        /*              */
                           unsigned char MD23:1;        /*    PA23MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD22:1;        /*    PA22MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD21:1;        /*    PA21MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD20:1;        /*    PA20MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD19:1;        /*    PA19MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD18:1;        /*    PA18MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD17:1;        /*    PA17MD    */
                           unsigned char MD16:2;        /*    PA16MD    */
                           }       BIT;                 /*              */
                    }           PACRH2;                 /*              */
              union {                                   /* PACRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char MD15:2;        /*    PA15MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD14:1;        /*    PA14MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD13:1;        /*    PA13MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD12:1;        /*    PA12MD    */
                           unsigned char     :5;        /*              */
                           unsigned char MD9 :1;        /*    PA9MD     */
                           unsigned char     :1;        /*              */
                           unsigned char MD8 :1;        /*    PA8MD     */
                           }       BIT;                 /*              */
                    }           PACRL1;                 /*              */
              union {                                   /* PACRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :8;         /*              */
                           unsigned char    :5;         /*              */
                           unsigned char MD1:1;         /*    PA1MD     */
                           unsigned char    :1;         /*              */
                           unsigned char MD0:1;         /*    PA0MD     */
                           }       BIT;                 /*              */
                    }           PACRL2;                 /*              */
              char              wk1[4];                 /*              */
              union {                                   /* PBIORH       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :8;         /*              */
                           unsigned char B23:1;         /*    Bit 23    */
                           unsigned char B22:1;         /*    Bit 22    */
                           unsigned char B21:1;         /*    Bit 21    */
                           unsigned char B20:1;         /*    Bit 20    */
                           unsigned char B19:1;         /*    Bit 19    */
                           unsigned char B18:1;         /*    Bit 18    */
                           unsigned char B17:1;         /*    Bit 17    */
                           unsigned char B16:1;         /*    Bit 16    */
                           }       BIT;                 /*              */
                    }           PBIORH;                 /*              */
              union {                                   /* PBIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :2;         /*              */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char    :5;         /*              */
                           unsigned char B7 :1;         /*    Bit  7    */
                           unsigned char B6 :1;         /*    Bit  6    */
                           }       BIT;                 /*              */
                    }           PBIORL;                 /*              */
              char              wk2[2];                 /*              */
              union {                                   /* PBCRH2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char MD23:2;        /*    PB23MD    */
                           unsigned char MD22:2;        /*    PB22MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD21:1;        /*    PB21MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD20:1;        /*    PB20MD    */
                           unsigned char MD19:2;        /*    PB19MD    */
                           unsigned char MD18:2;        /*    PB18MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD17:1;        /*    PB17MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD16:1;        /*    PB16MD    */
                           }       BIT;                 /*              */
                    }           PBCRH2;                 /*              */
              union {                                   /* PBCRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :5;        /*              */
                           unsigned char MD13:1;        /*    PB13MD    */
                           }       BIT;                 /*              */
                    }           PBCRL1;                 /*              */
              union {                                   /* PBCRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :1;         /*              */
                           unsigned char MD7:1;         /*    PB7MD     */
                           unsigned char    :1;         /*              */
                           unsigned char MD6:1;         /*    PB6MD     */
                           }       BIT;                 /*              */
                    }           PBCRL2;                 /*              */
              char              wk3[4];                 /*              */
              union {                                   /* PCIORH       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :6;         /*              */
                           unsigned char B25:1;         /*    Bit 25    */
                           unsigned char B24:1;         /*    Bit 24    */
                           unsigned char B23:1;         /*    Bit 23    */
                           unsigned char B22:1;         /*    Bit 22    */
                           unsigned char B21:1;         /*    Bit 21    */
                           unsigned char B20:1;         /*    Bit 20    */
                           unsigned char B19:1;         /*    Bit 19    */
                           unsigned char B18:1;         /*    Bit 18    */
                           unsigned char B17:1;         /*    Bit 17    */
                           unsigned char B16:1;         /*    Bit 16    */
                           }       BIT;                 /*              */
                    }           PCIORH;                 /*              */
              union {                                   /* PCIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char B15:1;         /*    Bit 15    */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           unsigned char B11:1;         /*    Bit 11    */
                           unsigned char B10:1;         /*    Bit 10    */
                           unsigned char B9 :1;         /*    Bit  9    */
                           unsigned char B8 :1;         /*    Bit  8    */
                           unsigned char B7 :1;         /*    Bit  7    */
                           unsigned char B6 :1;         /*    Bit  6    */
                           unsigned char B5 :1;         /*    Bit  5    */
                           unsigned char B4 :1;         /*    Bit  4    */
                           unsigned char B3 :1;         /*    Bit  3    */
                           unsigned char B2 :1;         /*    Bit  2    */
                           unsigned char B1 :1;         /*    Bit  1    */
                           unsigned char B0 :1;         /*    Bit  0    */
                           }       BIT;                 /*              */
                    }           PCIORL;                 /*              */
              union {                                   /* PCCRH1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :8;        /*              */
                           unsigned char     :4;        /*              */
                           unsigned char MD25:2;        /*    PC25MD    */
                           unsigned char MD24:2;        /*    PC24MD    */
                           }       BIT;                 /*              */
                    }           PCCRH1;                 /*              */
              union {                                   /* PCCRH2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char MD23:2;        /*    PC23MD    */
                           unsigned char MD22:2;        /*    PC22MD    */
                           unsigned char MD21:2;        /*    PC21MD    */
                           unsigned char MD20:2;        /*    PC20MD    */
                           unsigned char MD19:2;        /*    PC19MD    */
                           unsigned char MD18:2;        /*    PC18MD    */
                           unsigned char MD17:2;        /*    PC17MD    */
                           unsigned char MD16:2;        /*    PC16MD    */
                           }       BIT;                 /*              */
                    }           PCCRH2;                 /*              */
              union {                                   /* PCCRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char MD15:2;        /*    PC15MD    */
                           unsigned char MD14:2;        /*    PC14MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD13:1;        /*    PC13MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD12:1;        /*    PC12MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD11:1;        /*    PC12MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD10:1;        /*    PC12MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD9 :1;        /*    PC9MD     */
                           unsigned char     :1;        /*              */
                           unsigned char MD8 :1;        /*    PC8MD     */
                           }       BIT;                 /*              */
                    }           PCCRL1;                 /*              */
              union {                                   /* PCCRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :1;         /*              */
                           unsigned char MD7:1;         /*    PC7MD     */
                           unsigned char    :1;         /*              */
                           unsigned char MD6:1;         /*    PC6MD     */
                           unsigned char    :1;         /*              */
                           unsigned char MD5:1;         /*    PC5MD     */
                           unsigned char    :1;         /*              */
                           unsigned char MD4:1;         /*    PC4MD     */
                           unsigned char    :1;         /*              */
                           unsigned char MD3:1;         /*    PC3MD     */
                           unsigned char    :1;         /*              */
                           unsigned char MD2:1;         /*    PC2MD     */
                           unsigned char    :1;         /*              */
                           unsigned char MD1:1;         /*    PC1MD     */
                           unsigned char    :1;         /*              */
                           unsigned char MD0:1;         /*    PC0MD     */
                           }       BIT;                 /*              */
                    }           PCCRL2;                 /*              */
              char              wk4[4];                 /*              */
              union {                                   /* PDIORH       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char B31:1;         /*    Bit 31    */
                           unsigned char B30:1;         /*    Bit 30    */
                           unsigned char B29:1;         /*    Bit 29    */
                           unsigned char B28:1;         /*    Bit 28    */
                           unsigned char B27:1;         /*    Bit 27    */
                           unsigned char B26:1;         /*    Bit 26    */
                           unsigned char B25:1;         /*    Bit 25    */
                           unsigned char B24:1;         /*    Bit 24    */
                           unsigned char B23:1;         /*    Bit 23    */
                           unsigned char B22:1;         /*    Bit 22    */
                           unsigned char B21:1;         /*    Bit 21    */
                           unsigned char B20:1;         /*    Bit 20    */
                           unsigned char B19:1;         /*    Bit 19    */
                           unsigned char B18:1;         /*    Bit 18    */
                           unsigned char B17:1;         /*    Bit 17    */
                           unsigned char B16:1;         /*    Bit 16    */
                           }       BIT;                 /*              */
                    }           PDIORH;                 /*              */
              union {                                   /* PDIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char B15:1;         /*    Bit 15    */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           unsigned char B11:1;         /*    Bit 11    */
                           unsigned char B10:1;         /*    Bit 10    */
                           unsigned char B9 :1;         /*    Bit  9    */
                           unsigned char B8 :1;         /*    Bit  8    */
                           unsigned char B7 :1;         /*    Bit  7    */
                           unsigned char B6 :1;         /*    Bit  6    */
                           unsigned char B5 :1;         /*    Bit  5    */
                           unsigned char B4 :1;         /*    Bit  4    */
                           unsigned char B3 :1;         /*    Bit  3    */
                           unsigned char B2 :1;         /*    Bit  2    */
                           unsigned char B1 :1;         /*    Bit  1    */
                           unsigned char B0 :1;         /*    Bit  0    */
                           }       BIT;                 /*              */
                    }           PDIORL;                 /*              */
              union {                                   /* PDCRH1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char MD31:2;        /*    PD31MD    */
                           unsigned char MD30:2;        /*    PD30MD    */
                           unsigned char MD29:2;        /*    PD29MD    */
                           unsigned char MD28:2;        /*    PD28MD    */
                           unsigned char MD27:2;        /*    PD27MD    */
                           unsigned char MD26:2;        /*    PD26MD    */
                           unsigned char MD25:2;        /*    PD25MD    */
                           unsigned char MD24:2;        /*    PD24MD    */
                           }       BIT;                 /*              */
                    }           PDCRH1;                 /*              */
              union {                                   /* PDCRH2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char MD23:2;        /*    PD23MD    */
                           unsigned char MD22:2;        /*    PD22MD    */
                           unsigned char MD21:2;        /*    PD21MD    */
                           unsigned char MD20:2;        /*    PD20MD    */
                           unsigned char MD19:2;        /*    PD19MD    */
                           unsigned char MD18:2;        /*    PD18MD    */
                           unsigned char MD17:2;        /*    PD17MD    */
                           unsigned char MD16:2;        /*    PD16MD    */
                           }       BIT;                 /*              */
                    }           PDCRH2;                 /*              */
              union {                                   /* PDCRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char MD15:2;        /*    PD15MD    */
                           unsigned char MD14:2;        /*    PD14MD    */
                           unsigned char MD13:2;        /*    PD13MD    */
                           unsigned char MD12:2;        /*    PD12MD    */
                           unsigned char MD11:2;        /*    PD12MD    */
                           unsigned char MD10:2;        /*    PD12MD    */
                           unsigned char MD9 :2;        /*    PD9MD     */
                           unsigned char MD8 :2;        /*    PD8MD     */
                           }       BIT;                 /*              */
                    }           PDCRL1;                 /*              */
              union {                                   /* PDCRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :1;         /*              */
                           unsigned char MD7:1;         /*    PD7MD     */
                           unsigned char    :1;         /*              */
                           unsigned char MD6:1;         /*    PD6MD     */
                           unsigned char    :1;         /*              */
                           unsigned char MD5:1;         /*    PD5MD     */
                           unsigned char    :1;         /*              */
                           unsigned char MD4:1;         /*    PD4MD     */
                           unsigned char    :1;         /*              */
                           unsigned char MD3:1;         /*    PD3MD     */
                           unsigned char    :1;         /*              */
                           unsigned char MD2:1;         /*    PD2MD     */
                           unsigned char    :1;         /*              */
                           unsigned char MD1:1;         /*    PD1MD     */
                           unsigned char    :1;         /*              */
                           unsigned char MD0:1;         /*    PD0MD     */
                           }       BIT;                 /*              */
                    }           PDCRL2;                 /*              */
              char              wk5[4];                 /*              */
              union {                                   /* PEIORH       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :8;         /*              */
                           unsigned char B23:1;         /*    Bit 23    */
                           unsigned char B22:1;         /*    Bit 22    */
                           unsigned char B21:1;         /*    Bit 21    */
                           unsigned char B20:1;         /*    Bit 20    */
                           unsigned char B19:1;         /*    Bit 19    */
                           unsigned char B18:1;         /*    Bit 18    */
                           unsigned char B17:1;         /*    Bit 17    */
                           unsigned char B16:1;         /*    Bit 16    */
                           }       BIT;                 /*              */
                    }           PEIORH;                 /*              */
              union {                                   /* PEIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char B15:1;         /*    Bit 15    */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           }       BIT;                 /*              */
                    }           PEIORL;                 /*              */
              char              wk6[2];                 /*              */
              union {                                   /* PECRH2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char MD23:2;        /*    PE23MD    */
                           unsigned char MD22:2;        /*    PE22MD    */
                           unsigned char MD21:2;        /*    PE21MD    */
                           unsigned char MD20:2;        /*    PE20MD    */
                           unsigned char MD19:2;        /*    PE19MD    */
                           unsigned char MD18:2;        /*    PE18MD    */
                           unsigned char MD17:2;        /*    PE17MD    */
                           unsigned char MD16:2;        /*    PE16MD    */
                           }       BIT;                 /*              */
                    }           PECRH2;                 /*              */
              union {                                   /* PECRL        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :1;        /*              */
                           unsigned char MD15:1;        /*    PE15MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD14:1;        /*    PE14MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD13:1;        /*    PE13MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD12:1;        /*    PE12MD    */
                           }       BIT;                 /*              */
                    }           PECRL;                  /*              */
              char              wk7[3];                 /*              */
              union {                                   /* FCR          */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char       :5;      /*              */
                           unsigned char SCIMD :1;      /*    SCIMD     */
                           unsigned char IRQMD1:1;      /*    IRQMD1    */
                           unsigned char IRQMD0:1;      /*    IRQMD0    */
                           }       BIT;                 /*              */
                    }           FCR;                    /*              */
              char              wk8[20];                /*              */
              union {                                   /* PFIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char B7:1;          /*    Bit 7     */
                           unsigned char B6:1;          /*    Bit 6     */
                           unsigned char B5:1;          /*    Bit 5     */
                           unsigned char   :1;          /*              */
                           unsigned char B3:1;          /*    Bit 3     */
                           unsigned char B2:1;          /*    Bit 2     */
                           unsigned char B1:1;          /*    Bit 1     */
                           }       BIT;                 /*              */
                    }           PFIORL;                 /*              */
              char              wk9[6];                 /*              */
              union {                                   /* PFCRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char MD7:2;         /*    PF7MD     */
                           unsigned char MD6:2;         /*    PF6MD     */
                           unsigned char MD5:2;         /*    PF5MD     */
                           unsigned char    :2;         /*              */
                           unsigned char MD3:2;         /*    PF3MD     */
                           unsigned char MD2:2;         /*    PF2MD     */
                           unsigned char MD1:2;         /*    PF1MD     */
                           }       BIT;                 /*              */
                    }           PFCRL2;                 /*              */
              char              wk10[4];                /*              */
              union {                                   /* PGIOR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char B31:1;         /*    Bit 31    */
                           unsigned char B30:1;         /*    Bit 30    */
                           unsigned char B29:1;         /*    Bit 29    */
                           }       BIT;                 /*              */
                    }           PGIOR;                  /*              */
              char              wk11[2];                /*              */
              union {                                   /* PGCRH1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :1;        /*              */
                           unsigned char MD31:1;        /*    PG31MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD30:1;        /*    PG30MD    */
                           unsigned char     :1;        /*              */
                           unsigned char MD29:1;        /*    PG29MD    */
                           }       BIT;                 /*              */
                    }           PGCRH1;                 /*              */
              char              wk12[12];               /*              */
              union {                                   /* PHIOR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char   :8;          /*              */
                           unsigned char   :6;          /*              */
                           unsigned char B1:1;          /*    Bit 1     */
                           unsigned char B0:1;          /*    Bit 0     */
                           }       BIT;                 /*              */
                    }           PHIOR;                  /*              */
              char              wk13[6];                /*              */
              union {                                   /* PHCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :8;         /*              */
                           unsigned char    :5;         /*              */
                           unsigned char MD1:1;         /*    PH1MD     */
                           unsigned char    :1;         /*              */
                           unsigned char MD0:1;         /*    PH0MD     */
                           }       BIT;                 /*              */
                    }           PHCR;                   /*              */
};                                                      /*              */
#define AD0    (*(volatile struct st_ad    *)0xFFFF0080)/* A/D0  Address*/
#define AD1    (*(volatile struct st_ad    *)0xFFFF00A0)/* A/D1  Address*/
#define DA     (*(volatile struct st_da    *)0xFFFF00C0)/* D/A   Address*/
#define TPU    (*(volatile struct st_tpu   *)0xFFFF0400)/* TPU   Address*/
#define TPU0   (*(volatile struct st_tpu0  *)0xFFFF0410)/* TPU0  Address*/
#define TPU1   (*(volatile struct st_tpu1  *)0xFFFF0420)/* TPU1  Address*/
#define TPU2   (*(volatile struct st_tpu1  *)0xFFFF0430)/* TPU2  Address*/
#define TPU3   (*(volatile struct st_tpu0  *)0xFFFF0440)/* TPU3  Address*/
#define TPU4   (*(volatile struct st_tpu1  *)0xFFFF0450)/* TPU4  Address*/
#define TPU5   (*(volatile struct st_tpu1  *)0xFFFF0460)/* TPU5  Address*/
#define MMT    (*(volatile struct st_mmt   *)0xFFFF0480)/* MMT   Address*/
#define PWM    (*(volatile struct st_pwm   *)0xFFFF0480)/* PWM   Address*/
#define PWMU   (*(volatile struct st_pwmu  *)0xFFFF0490)/* PWMU  Address*/
#define PWMV   (*(volatile struct st_pwmv  *)0xFFFF04A0)/* PWMV  Address*/
#define PWMW   (*(volatile struct st_pwmw  *)0xFFFF04B0)/* PWMW  Address*/
#define CMT    (*(volatile struct st_cmt   *)0xFFFF04C1)/* CMT   Address*/
#define CMT0   (*(volatile struct st_cmt0  *)0xFFFF04C2)/* CMT0  Address*/
#define CMT1   (*(volatile struct st_cmt1  *)0xFFFF04C8)/* CMT1  Address*/
#define POE    (*(volatile struct st_poe   *)0xFFFF04E0)/* POE   Address*/
#define SCI0   (*(volatile struct st_sci   *)0xFFFF0500)/* SCI0  Address*/
#define SCI1   (*(volatile struct st_sci   *)0xFFFF0520)/* SCI1  Address*/
#define SCI2   (*(volatile struct st_sci   *)0xFFFF0540)/* SCI2  Address*/
#define IrDA0  (*(volatile struct st_irda  *)0xFFFF0500)/* IrDA0 Address*/
#define IrDA1  (*(volatile struct st_irda  *)0xFFFF0520)/* IrDA1 Address*/
#define IrDA2  (*(volatile struct st_irda  *)0xFFFF0540)/* IrDA2 Address*/
#define FLASH  (*(volatile struct st_flash *)0xFFFF0800)/* FLASH Address*/
#define BSC    (*(volatile struct st_bsc   *)0xFFFF0C00)/* BSC   Address*/
#define UBC    (*(volatile struct st_ubc   *)0xFFFF0C80)/* UBC   Address*/
#define SBYCR  (*(volatile union  un_sbycr *)0xFFFF1004)/* SBYCR Address*/
#define MSR    (*(volatile union  un_msr   *)0xFFFF1021)/* MSR   Address*/
#define FRQCR  (*(volatile union  un_frqcr *)0xFFFF1028)/* FRQCR Address*/
#define MODECR (*(volatile union  un_modecr*)0xFFFF102B)/* MODECRAddress*/
#define MSTPCR (*(volatile union  un_mstpcr*)0xFFFF1030)/* MSTPCRAddress*/
#define MCLK   (*(volatile struct st_mclk  *)0xFFFF1036)/* MCLK  Address*/
#define INTC   (*(volatile struct st_intc  *)0xFFFF1050)/* INTC  Address*/
#define DMAC   (*(volatile struct st_dmac  *)0xFFFF10F0)/* DMAC  Address*/
#define DMAC0  (*(volatile struct st_dmac0 *)0xFFFF1100)/* DMAC0 Address*/
#define DMAC1  (*(volatile struct st_dmac0 *)0xFFFF1120)/* DMAC1 Address*/
#define DMAC2  (*(volatile struct st_dmac0 *)0xFFFF1140)/* DMAC2 Address*/
#define DMAC3  (*(volatile struct st_dmac0 *)0xFFFF1160)/* DMAC3 Address*/
#define PA     (*(volatile struct st_pa    *)0xFFFF1200)/* PA    Address*/
#define PB     (*(volatile struct st_pb    *)0xFFFF1210)/* PB    Address*/
#define PC     (*(volatile struct st_pc    *)0xFFFF1220)/* PC    Address*/
#define PD     (*(volatile struct st_pd    *)0xFFFF1230)/* PD    Address*/
#define PE     (*(volatile struct st_pe    *)0xFFFF1240)/* PE    Address*/
#define PF     (*(volatile struct st_pf    *)0xFFFF1262)/* PF    Address*/
#define PG     (*(volatile struct st_pg    *)0xFFFF1270)/* PG    Address*/
#define PH     (*(volatile struct st_ph    *)0xFFFF1282)/* PH    Address*/
#define PI     (*(volatile struct st_pi    *)0xFFFF1290)/* PI    Address*/
#define PFC    (*(volatile struct st_pfc   *)0xFFFF1204)/* PFC   Address*/
#define st_tpu3 st_tpu0                         /* Change Struct TPU3   */
#define st_tpu2 st_tpu1                         /* Change Struct TPU2   */
#define st_tpu4 st_tpu1                         /* Change Struct TPU4   */
#define st_tpu5 st_tpu1                         /* Change Struct TPU5   */
#define st_cmt1 st_cmt0                         /* Change Struct CMT1   */
#define st_dmac1 st_dmac0                       /* Change Struct DMAC1  */
#define st_dmac2 st_dmac0                       /* Change Struct DMAC2  */
#define st_dmac3 st_dmac0                       /* Change Struct DMAC3  */
