#ifndef		_SH7046S_H_
#define		_SH7046S_H_
struct st_sci {                                         /* struct SCI   */
              union {                                   /* SMR          */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char CA  :1;        /*    C/A       */
                           unsigned char CHR :1;        /*    CHR       */
                           unsigned char PE  :1;        /*    PE        */
                           unsigned char OE  :1;        /*    O/E       */
                           unsigned char STOP:1;        /*    STOP      */
                           unsigned char MP  :1;        /*    MP        */
                           unsigned char CKS :2;        /*    CKS       */
                           }      BIT;                  /*              */
                    }           SMR;                    /*              */
              unsigned char     BRR;                    /* BRR          */
              union {                                   /* SCR          */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TIE :1;        /*    TIE       */
                           unsigned char RIE :1;        /*    RIE       */
                           unsigned char TE  :1;        /*    TE        */
                           unsigned char RE  :1;        /*    RE        */
                           unsigned char MPIE:1;        /*    MPIE      */
                           unsigned char TEIE:1;        /*    TEIE      */
                           unsigned char CKE :2;        /*    CKE       */
                           }      BIT;                  /*              */
                    }           SCR;                    /*              */
              unsigned char     TDR;                    /* TDR          */
              union {                                   /* SSR          */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TDRE:1;        /*    TDRE      */
                           unsigned char RDRF:1;        /*    RDRF      */
                           unsigned char ORER:1;        /*    ORER      */
                           unsigned char FER :1;        /*    FER       */
                           unsigned char PER :1;        /*    PER       */
                           unsigned char TEND:1;        /*    TEND      */
                           unsigned char MPB :1;        /*    MPB       */
                           unsigned char MPBT:1;        /*    MPBT      */
                           }      BIT;                  /*              */
                    }           SSR;                    /*              */
              unsigned char     RDR;                    /* RDR          */
              union {                                   /* SDCR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :4;        /*              */
                           unsigned char DIR :1;        /*    DIR       */
                           unsigned char     :3;        /*              */
                           }      BIT;                  /*              */
                    }           SDCR;                   /*              */
};                                                      /*              */
struct st_mtu {                                         /* struct MTU   */
              union {                                   /* TSTR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char CST4:1;        /*    CST4      */
                           unsigned char CST3:1;        /*    CST3      */
                           unsigned char     :3;        /*              */
                           unsigned char CST2:1;        /*    CST2      */
                           unsigned char CST1:1;        /*    CST1      */
                           unsigned char CST0:1;        /*    CST0      */
                           }      BIT;                  /*              */
                    }           TSTR;                   /*              */
              union {                                   /* TSYR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char SYNC4:1;       /*    SYNC4     */
                           unsigned char SYNC3:1;       /*    SYNC3     */
                           unsigned char      :3;       /*              */
                           unsigned char SYNC2:1;       /*    SYNC2     */
                           unsigned char SYNC1:1;       /*    SYNC1     */
                           unsigned char SYNC0:1;       /*    SYNC0     */
                           }      BIT;                  /*              */
                    }           TSYR;                   /*              */
};                                                      /*              */
struct st_mtu0 {                                        /* struct MTU0  */
               union {                                  /* TCR          */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char CCLR:3;       /*    CCLR      */
                            unsigned char CKEG:2;       /*    CKEG      */
                            unsigned char TPSC:3;       /*    TPSC      */
                            }      BIT;                 /*              */
                     }          TCR;                    /*              */
               union {                                  /* TMDR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :2;        /*              */
                            unsigned char BFB:1;        /*    BFB       */
                            unsigned char BFA:1;        /*    BFA       */
                            unsigned char MD :4;        /*    MD        */
                            }      BIT;                 /*              */
                     }          TMDR;                   /*              */
               union {                                  /* TIOR         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char H;            /*    TIORH     */
                            unsigned char L;            /*    TIORL     */
                            }       BYTE;               /*              */
                     struct {                           /*  Bit  Access */
                            unsigned char IOB:4;        /*    IOB       */
                            unsigned char IOA:4;        /*    IOA       */
                            unsigned char IOD:4;        /*    IOD       */
                            unsigned char IOC:4;        /*    IOC       */
                            }       BIT;                /*              */
                     }          TIOR;                   /*              */
               union {                                  /* TIER         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TTGE :1;      /*    TTGE      */
                            unsigned char      :1;      /*              */
                            unsigned char TCIEU:1;      /*    TCIEU     */
                            unsigned char TCIEV:1;      /*    TCIEV     */
                            unsigned char TGIED:1;      /*    TGIED     */
                            unsigned char TGIEC:1;      /*    TGIEC     */
                            unsigned char TGIEB:1;      /*    TGIEB     */
                            unsigned char TGIEA:1;      /*    TGIEA     */
                            }      BIT;                 /*              */
                     }          TIER;                   /*              */
               union {                                  /* TSR          */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TCFD:1;       /*    TCFD      */
                            unsigned char     :1;       /*              */
                            unsigned char TCFU:1;       /*    TCFU      */
                            unsigned char TCFV:1;       /*    TCFV      */
                            unsigned char TGFD:1;       /*    TGFD      */
                            unsigned char TGFC:1;       /*    TGFC      */
                            unsigned char TGFB:1;       /*    TGFB      */
                            unsigned char TGFA:1;       /*    TGFA      */
                            }      BIT;                 /*              */
                     }          TSR;                    /*              */
               unsigned short   TCNT;                   /* TCNT         */
               unsigned short   TGRA;                   /* TGRA         */
               unsigned short   TGRB;                   /* TGRB         */
               unsigned short   TGRC;                   /* TGRC         */
               unsigned short   TGRD;                   /* TGRD         */
};                                                      /*              */
struct st_intc {                                        /* struct INTC  */
               union {                                  /* IPRA         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    IRQ0      */
                            unsigned char UL:4;         /*    IRQ1      */
                            unsigned char LU:4;         /*    IRQ2      */
                            unsigned char LL:4;         /*    IRQ3      */
                            }       BIT;                /*              */
                     }          IPRA;                   /*              */
               char             wk1[4];                 /*              */
               union {                                  /* IPRD         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    MTU0      */
                            unsigned char UL:4;         /*    MTU0      */
                            unsigned char LU:4;         /*    MTU1      */
                            unsigned char LL:4;         /*    MTU1      */
                            }       BIT;                /*              */
                     }          IPRD;                   /*              */
               union {                                  /* IPRE         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    MTU2      */
                            unsigned char UL:4;         /*    MTU2      */
                            unsigned char LU:4;         /*    MTU3      */
                            unsigned char LL:4;         /*    MTU3      */
                            }       BIT;                /*              */
                     }          IPRE;                   /*              */
               union {                                  /* IPRF         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    MTU4      */
                            unsigned char UL:4;         /*    MTU4      */
                            unsigned char   :8;         /*              */
                            }       BIT;                /*              */
                     }          IPRF;                   /*              */
               union {                                  /* IPRG         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    A/D       */
                            unsigned char UL:4;         /*    DTC       */
                            unsigned char LU:4;         /*    CMT0      */
                            unsigned char LL:4;         /*    CMT1      */
                            }       BIT;                /*              */
                     }          IPRG;                   /*              */
               union {                                  /* IPRH         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    WDT       */
                            unsigned char UL:4;         /*    I/O(MTU)  */
                            unsigned char   :8;         /*              */
                            }       BIT;                /*              */
                     }          IPRH;                   /*              */
               union {                                  /* ICR1         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char NMIL :1;      /*    NMIL      */
                            unsigned char      :6;      /*              */
                            unsigned char NMIE :1;      /*    NMIE      */
                            unsigned char IRQ0S:1;      /*    IRQ0S     */
                            unsigned char IRQ1S:1;      /*    IRQ1S     */
                            unsigned char IRQ2S:1;      /*    IRQ2S     */
                            unsigned char IRQ3S:1;      /*    IRQ3S     */
                            unsigned char      :4;      /*              */
                            }       BIT;                /*              */
                     }          ICR1;                   /*              */
               union {                                  /* ISR          */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :8;      /*              */
                            unsigned char IRQ0F:1;      /*    IRQ0F     */
                            unsigned char IRQ1F:1;      /*    IRQ1F     */
                            unsigned char IRQ2F:1;      /*    IRQ2F     */
                            unsigned char IRQ3F:1;      /*    IRQ3F     */
                            unsigned char      :4;      /*              */
                            }       BIT;                /*              */
                     }          ISR;                    /*              */
               union {                                  /* IPRI         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    SCI2      */
                            unsigned char UL:4;         /*    SCI3      */
                            unsigned char LU:4;         /*    SCI4      */
                            unsigned char LL:4;         /*    MMT       */
                            }       BIT;                /*              */
                     }          IPRI;                   /*              */
               union {                                  /* IPRJ         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    A/D2      */
                            unsigned char   :4;         /*              */
                            unsigned char   :8;         /*              */
                            }       BIT;                /*              */
                     }          IPRJ;                   /*              */
               union {                                  /* IPRK         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char UU:4;         /*    I/O(MMT)  */
                            unsigned char   :4;         /*              */
                            unsigned char LU:4;         /*    HCAN2     */
                            unsigned char   :4;         /*              */
                            }       BIT;                /*              */
                     }          IPRK;                   /*              */
               char             wk2[4];                 /*              */
               union {                                  /* ICR2         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char IRQ0ES:2;     /*    IRQ0ES    */
                            unsigned char IRQ1ES:2;     /*    IRQ1ES    */
                            unsigned char IRQ2ES:2;     /*    IRQ2ES    */
                            unsigned char IRQ3ES:2;     /*    IRQ3ES    */
                            unsigned char       :8;     /*              */
                            }       BIT;                /*              */
                     }          ICR2;                   /*              */
};                                                      /*              */
struct st_pa {                                          /* struct PA    */
             union {                                    /* PADR         */
                   unsigned short WORD;                 /*  Long Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    Low ,High */
                          unsigned char L;              /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pb {                                          /* struct PB    */
             union {                                    /* PBDR         */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char   :8;           /*              */
                          unsigned char   :2;           /*              */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }       BIT;                  /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pd {                                          /* struct PD    */
             union {                                    /* PDDR         */
                   unsigned short WORD;                 /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :7;          /*              */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pe {                                          /* struct PE    */
             union {                                    /* PEDRL        */
                   unsigned short WORD;                 /*  Long Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    Low ,High */
                          unsigned char L;              /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            DRL;                    /*              */
             char               wk1[12];                /*              */
             union {                                    /* PEDRH        */
                   unsigned short WORD;                 /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :8;          /*              */
                          unsigned char    :2;          /*              */
                          unsigned char B21:1;          /*    Bit 21    */
                          unsigned char B20:1;          /*    Bit 20    */
                          unsigned char B19:1;          /*    Bit 19    */
                          unsigned char B18:1;          /*    Bit 18    */
                          unsigned char B17:1;          /*    Bit 17    */
                          unsigned char B16:1;          /*    Bit 16    */
                          }      BIT;                   /*              */
                   }            DRH;                     /*              */
};                                                      /*              */
struct st_pf {                                          /* struct PF    */
             union {                                    /* PADR         */
                   unsigned short WORD;                 /*  Long Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    Low ,High */
                          unsigned char L;              /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pfc {                                         /* struct PFC   */
              union {                                   /* PAIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char B15:1;         /*    Bit 15    */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           unsigned char B11:1;         /*    Bit 11    */
                           unsigned char B10:1;         /*    Bit 10    */
                           unsigned char B9 :1;         /*    Bit  9    */
                           unsigned char B8 :1;         /*    Bit  8    */
                           unsigned char B7 :1;         /*    Bit  7    */
                           unsigned char B6 :1;         /*    Bit  6    */
                           unsigned char B5 :1;         /*    Bit  5    */
                           unsigned char B4 :1;         /*    Bit  4    */
                           unsigned char B3 :1;         /*    Bit  3    */
                           unsigned char B2 :1;         /*    Bit  2    */
                           unsigned char B1 :1;         /*    Bit  1    */
                           unsigned char B0 :1;         /*    Bit  0    */
                           }       BIT;                 /*              */
              }                 PAIORL;                 /*              */
              char              wk1[2];                 /*              */
              union {                                   /* PACRL3       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char MD15:1;        /*    PA15MD    */
                           unsigned char MD14:1;        /*    PA14MD    */
                           unsigned char MD13:1;        /*    PA13MD    */
                           unsigned char MD12:1;        /*    PA12MD    */
                           unsigned char MD11:1;        /*    PA11MD    */
                           unsigned char MD10:1;        /*    PA10MD    */
                           unsigned char MD9 :1;        /*    PA9MD     */
                           unsigned char MD8 :1;        /*    PA8MD     */
                           unsigned char MD7 :1;        /*    PA7MD     */
                           unsigned char MD6 :1;        /*    PA6MD     */
                           unsigned char MD5 :1;        /*    PA5MD     */
                           unsigned char MD4 :1;        /*    PA4MD     */
                           unsigned char MD3 :1;        /*    PA3MD     */
                           unsigned char MD2 :1;        /*    PA2MD     */
                           unsigned char MD1 :1;        /*    PA1MD     */
                           unsigned char MD0 :1;        /*    PA0MD     */
                           }       BIT;                 /*              */
              }                 PACRL3;                 /*              */
              union {                                   /* PACRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char MD15:2;        /*    PA15MD    */
                           unsigned char MD14:2;        /*    PA14MD    */
                           unsigned char MD13:2;        /*    PA13MD    */
                           unsigned char MD12:2;        /*    PA12MD    */
                           unsigned char MD11:2;        /*    PA11MD    */
                           unsigned char MD10:2;        /*    PA10MD    */
                           unsigned char MD9 :2;        /*    PA9MD     */
                           unsigned char MD8 :2;        /*    PA8MD     */
                           }       BIT;                 /*              */
              }                 PACRL1;                 /*              */
              union {                                   /* PACRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char MD7:2;         /*    PA7MD     */
                           unsigned char MD6:2;         /*    PA6MD     */
                           unsigned char MD5:2;         /*    PA5MD     */
                           unsigned char MD4:2;         /*    PA4MD     */
                           unsigned char MD3:2;         /*    PA3MD     */
                           unsigned char MD2:2;         /*    PA2MD     */
                           unsigned char MD1:2;         /*    PA1MD     */
                           unsigned char MD0:2;         /*    PA0MD     */
                           }       BIT;                 /*              */
              }                 PACRL2;                 /*              */
              char              wk2[4];                 /*              */
              union {                                   /* PBIOR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char   :8;          /*              */
                           unsigned char   :2;          /*              */
                           unsigned char B5:1;          /*    Bit 5     */
                           unsigned char B4:1;          /*    Bit 4     */
                           unsigned char B3:1;          /*    Bit 3     */
                           unsigned char B2:1;          /*    Bit 2     */
                           unsigned char B1:1;          /*    Bit 1     */
                           unsigned char B0:1;          /*    Bit 0     */
                           }       BIT;                 /*              */
              }                 PBIOR;                  /*              */
              char              wk3[2];                 /*              */
              union {                                   /* PBCR1        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :2;         /*              */
                           unsigned char MD5:1;         /*    PB5MD     */
                           unsigned char MD4:1;         /*    PB4MD     */
                           unsigned char MD3:1;         /*    PB3MD     */
                           unsigned char MD2:1;         /*    PB2MD     */
                           unsigned char MD1:1;         /*    PB1MD     */
                           unsigned char    :1;         /*              */
                           unsigned char    :8;         /*              */
                           }       BIT;                 /*              */
              }                 PBCR1;                  /*              */
              union {                                   /* PBCR2        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :4;         /*              */
                           unsigned char MD5:2;         /*    PB5MD     */
                           unsigned char MD4:2;         /*    PB4MD     */
                           unsigned char MD3:2;         /*    PB3MD     */
                           unsigned char MD2:2;         /*    PB2MD     */
                           unsigned char MD1:2;         /*    PB1MD     */
                           unsigned char MD0:2;         /*    PB0MD     */
                           }       BIT;                 /*              */
              }                 PBCR2;                  /*              */
              char              wk4[10];                /*              */
              union {                                   /* PDIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :7;         /*              */
                           unsigned char B8 :1;         /*    Bit  8    */
                           unsigned char B7 :1;         /*    Bit  7    */
                           unsigned char B6 :1;         /*    Bit  6    */
                           unsigned char B5 :1;         /*    Bit  5    */
                           unsigned char B4 :1;         /*    Bit  4    */
                           unsigned char B3 :1;         /*    Bit  3    */
                           unsigned char B2 :1;         /*    Bit  2    */
                           unsigned char B1 :1;         /*    Bit  1    */
                           unsigned char B0 :1;         /*    Bit  0    */
                           }       BIT;                 /*              */
              }                 PDIORL;                 /*              */
              char              wk5[4];                 /*              */
              union {                                   /* PDCRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :7;        /*              */
                           unsigned char MD8 :1;        /*    PD8MD     */
                           unsigned char MD7 :1;        /*    PD7MD     */
                           unsigned char MD6 :1;        /*    PD6MD     */
                           unsigned char MD5 :1;        /*    PD5MD     */
                           unsigned char MD4 :1;        /*    PD4MD     */
                           unsigned char MD3 :1;        /*    PD3MD     */
                           unsigned char MD2 :1;        /*    PD2MD     */
                           unsigned char MD1 :1;        /*    PD1MD     */
                           unsigned char MD0 :1;        /*    PD0MD     */
                           }       BIT;                 /*              */
              }                 PDCRL1;                 /*              */
              union {                                   /* PDCRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :7;        /*              */
                           unsigned char MD8 :1;        /*    PD8MD     */
                           unsigned char MD7 :1;        /*    PD7MD     */
                           unsigned char MD6 :1;        /*    PD6MD     */
                           unsigned char MD5 :1;        /*    PD5MD     */
                           unsigned char MD4 :1;        /*    PD4MD     */
                           unsigned char MD3 :1;        /*    PD3MD     */
                           unsigned char MD2 :1;        /*    PD2MD     */
                           unsigned char MD1 :1;        /*    PD1MD     */
                           unsigned char MD0 :1;        /*    PD0MD     */
                           }       BIT;                 /*              */
              }                 PDCRL2;                 /*              */
              char              wk6[4];                 /*              */
              union {                                   /* PEIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char B15:1;         /*    Bit 15    */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           unsigned char B11:1;         /*    Bit 11    */
                           unsigned char B10:1;         /*    Bit 10    */
                           unsigned char B9 :1;         /*    Bit  9    */
                           unsigned char B8 :1;         /*    Bit  8    */
                           unsigned char B7 :1;         /*    Bit  7    */
                           unsigned char B6 :1;         /*    Bit  6    */
                           unsigned char B5 :1;         /*    Bit  5    */
                           unsigned char B4 :1;         /*    Bit  4    */
                           unsigned char B3 :1;         /*    Bit  3    */
                           unsigned char B2 :1;         /*    Bit  2    */
                           unsigned char B1 :1;         /*    Bit  1    */
                           unsigned char B0 :1;         /*    Bit  0    */
                           }       BIT;                 /*              */
              }                 PEIORL;                 /*              */
              union {                                   /* PEIORH       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :8;        /*              */
                           unsigned char     :2;        /*              */
                           unsigned char B21 :1;        /*    Bit  21   */
                           unsigned char B20 :1;        /*    Bit  20   */
                           unsigned char B19 :1;        /*    Bit  19   */
                           unsigned char B18 :1;        /*    Bit  18   */
                           unsigned char B17 :1;        /*    Bit  17   */
                           unsigned char B16 :1;        /*    Bit  16    */
                           }       BIT;                 /*              */
              }                 PEIORH;                 /*              */
              union {                                   /* PECRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char MD15:2;        /*    PE15MD    */
                           unsigned char MD14:2;        /*    PE14MD    */
                           unsigned char MD13:2;        /*    PE13MD    */
                           unsigned char MD12:2;        /*    PE12MD    */
                           unsigned char MD11:2;        /*    PE11MD    */
                           unsigned char MD10:2;        /*    PE10MD    */
                           unsigned char MD9 :2;        /*    PE9MD     */
                           unsigned char MD8 :2;        /*    PE8MD     */
                           }       BIT;                 /*              */
              }                 PECRL1;                 /*              */
              union {                                   /* PECRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char MD7 :2;        /*    PE7MD     */
                           unsigned char MD6 :2;        /*    PE6MD     */
                           unsigned char MD5 :2;        /*    PE5MD     */
                           unsigned char MD4 :2;        /*    PE4MD     */
                           unsigned char MD3 :2;        /*    PE3MD     */
                           unsigned char MD2 :2;        /*    PE2MD     */
                           unsigned char MD1 :2;        /*    PE1MD     */
                           unsigned char MD0 :2;        /*    PE0MD     */
                           }       BIT;                 /*              */
              }                 PECRL2;                 /*              */
              union {                                   /* PECRH        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :4;        /*              */
                           unsigned char B21 :2;        /*    PE21MD    */
                           unsigned char B20 :2;        /*    PE20MD    */
                           unsigned char B19 :2;        /*    PE19MD    */
                           unsigned char B18 :2;        /*    PE18MD    */
                           unsigned char B17 :2;        /*    PE17MD    */
                           unsigned char B16 :2;        /*    PE16MD    */
                           }       BIT;                 /*              */
              }                 PECRH;                  /*              */
};
struct st_cmt {                                         /* struct CMT   */
              union {                                   /* CMSTR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :8;        /*              */
                           unsigned char     :6;        /*              */
                           unsigned char STR1:1;        /*    STR1      */
                           unsigned char STR0:1;        /*    STR0      */
                           }       BIT;                 /*              */
                    }           CMSTR;                  /*              */
};                                                      /*              */
struct st_cmt0 {                                        /* struct CMT0  */
               union {                                  /* CMCSR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char     :8;       /*              */
                            unsigned char CMF :1;       /*    CMF       */
                            unsigned char CMIE:1;       /*    CMIE      */
                            unsigned char     :4;       /*              */
                            unsigned char CKS :2;       /*    CKS       */
                            }       BIT;                /*              */
                     }          CMCSR;                  /*              */
               unsigned short   CMCNT;                  /* CMCNT        */
               unsigned short   CMCOR;                  /* CMCOR        */
};                                                      /*              */
struct st_ubc {                                         /* struct UBC   */
              void             *UBAR;                   /* UBAR         */
              unsigned int      UBAMR;                  /* UBAMR        */
              union {                                   /* UBBR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char   :8;          /*              */
                           unsigned char CP:2;          /*    CP        */
                           unsigned char ID:2;          /*    ID        */
                           unsigned char RW:2;          /*    RW        */
                           unsigned char SZ:2;          /*    SZ        */
                           }       BIT;                 /*              */
                    }           UBBR;                   /*              */
};                                                      /*              */
struct un_mstcr {                                       /* struct MSTCR */
               union {                                  /* MSTCR1       */
                     unsigned short WORD;               /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char        :4;    /*              */
                            unsigned char MSTOP27:1;    /*  RAM         */
                            unsigned char MSTOP26:1;    /*  ROM         */
                            unsigned char MSTOP25:1;    /*  DTC         */
                            unsigned char MSTOP24:1;    /*  DTC         */
                            unsigned char        :2;    /*              */
                            unsigned char        :1;    /*              */
                            unsigned char MSTOP20:1;    /*  SCI4        */
                            unsigned char MSTOP19:1;    /*  SCI3        */
                            unsigned char MSTOP18:1;    /*  SCI2        */
                            unsigned char        :2;    /*              */
                            }       BIT;                /*              */
                     }          MSTCR1;                 /*              */
               union {                                  /* MSTCR2       */
                     unsigned short WORD;               /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char        :1;    /*              */
                            unsigned char MSTOP14:1;    /*  MMT         */
                            unsigned char MSTOP13:1;    /*  MTU         */
                            unsigned char MSTOP12:1;    /*  CMT         */
                            unsigned char        :2;    /*              */
                            unsigned char MSTOP9 :1;    /*  HCAN2       */
                            unsigned char        :1;    /*              */
                            unsigned char        :1;    /*              */
                            unsigned char MSTOP6 :1;    /*  A/D2        */
                            unsigned char MSTOP5 :1;    /*  A/D1        */
                            unsigned char MSTOP4 :1;    /*  A/D0        */
                            unsigned char MSTOP3 :1;    /*  AUD         */
                            unsigned char MSTOP2 :1;    /*  H-UDI       */
                            unsigned char        :1;    /*              */
                            unsigned char MSTOP0 :1;    /*  UBC         */
                            }       BIT;                /*              */
                     }          MSTCR2;                 /*              */
};                                                      /*              */

#define SCI2  (*(volatile struct st_sci   *)0xFFFF81D0) /* SCI3  Address*/
#define SCI3  (*(volatile struct st_sci   *)0xFFFF81D0) /* SCI3  Address*/
#define SCI4  (*(volatile struct st_sci   *)0xFFFF81D0) /* SCI3  Address*/
#define MTU   (*(volatile struct st_mtu   *)0xFFFF8240) /* MTU   Address*/
#define MTU0  (*(volatile struct st_mtu0  *)0xFFFF8260) /* MTU0  Address*/
#define INTC  (*(volatile struct st_intc  *)0xFFFF8348) /* INTC  Address*/
#define PA    (*(volatile struct st_pa    *)0xFFFF8382) /* PA    Address*/
#define PB    (*(volatile struct st_pb    *)0xFFFF8390) /* PB    Address*/
#define PD    (*(volatile struct st_pd    *)0xFFFF83A2) /* PD    Address*/
#define PE    (*(volatile struct st_pe    *)0xFFFF83B0) /* PE    Address*/
#define PF    (*(volatile struct st_pf    *)0xFFFF83B2) /* PF    Address*/
#define PFC   (*(volatile struct st_pfc   *)0xFFFF8386) /* PFC   Address*/
#define CMT   (*(volatile struct st_cmt   *)0xFFFF83D0) /* CMT   Address*/
#define CMT0  (*(volatile struct st_cmt0  *)0xFFFF83D2) /* CMT0  Address*/
#define UBC   (*(volatile struct st_ubc   *)0xFFFF8600) /* UBC   Address*/
#define MSTCR (*(volatile struct un_mstcr *)0xFFFF861C) /* MSTCR Address*/

#endif
