OUTPUT_FORMAT("coff-sh")
OUTPUT_ARCH(sh)
MEMORY
{
  rom    : o = 0x14000000, l = 0x00100000
  ram    : o = 0x10001000, l = 0x0001e000
}
SECTIONS
{
  .start :
  {
     _start_top = . ;
    *(.start)
     _start_end = . ;
  } > rom

  .text :
  {
     _stext = . ;
    *(.text)
    *(.strings)
     _etext = . ;
  }  > rom
  .tors :
  {
    ___ctors = . ;
    *(.ctors)
    ___ctors_end = . ;
    ___dtors = . ;
    *(.dtors)
    ___dtors_end = . ;
  } > rom
  .data : AT ( ADDR (.tors) + SIZEOF (.tors) )
  {
     _sdata = . ;
    *(.data)
     _edata = . ;
  }  > ram
  .bss :
  {
     _bss_start = . ;
    *(.bss)
    *(COMMON)
     _end = . ;
  }  > ram
  .stab 0 (NOLOAD) :
  {
    *(.stab)
  }
  .stabstr 0 (NOLOAD) :
  {
    *(.stabstr)
  }
}
