/****************************************************************************/
/*																			*/
/*		SF-7044F TvvO											*/
/*			FPGARtBM[V									*/
/*																			*/
/*			Copyright   :: At@vWFNg							*/
/*			Cpu         :: SH7044											*/
/*			Language    :: GCC												*/
/*			File Name   :: fpga_set.c										*/
/*																			*/
/****************************************************************************/
#include "7040s.h"
#include "fpga_set.h"
#include "fpga_dat.h"

/*	FPGAvO~OpIO iPEj	*/
#define FPGACfgPort		(*(volatile unsigned short *)0xffff83b0)
/*̓|[g*/
#define FpgaConfDone	((FPGACfgPort) & 0x4000)
#define FpgaInitDone	((FPGACfgPort) & 0x0080)
#define FpganStatus		((FPGACfgPort) & 0x0040)
/*o̓|[g*/
#define FpgaResetLow	((FPGACfgPort) &= ~0x2000)
#define FpgaResetHi		((FPGACfgPort) |= 0x2000)
#define FpganConfigLow	((FPGACfgPort) &= ~0x0020)
#define FpganConfigHi	((FPGACfgPort) |= 0x0020)

/*	FPGAf[^AhX	*/
#define FpgaDataAddr		(*(volatile unsigned char *)FpgaAddress)
#define FpgaRdynBsy		(0x80)

/*	vg^Cv錾	*/
static void fpga_dly(short n);

/*	FPGARtBM[V֐	*/
short fpga_config()
{
	short flag;
	short i;
	char *ptr;
	short ans;
	
	ans = fpgaTRUE;
	
										/*CS3 ̃EFCg 5 ɂ*/
	BSC.WCR1.WORD = (BSC.WCR1.WORD & ~0xf000) | 0x5000;
	
	FpganConfigHi;						/*nCONFIG x HI ɂ*/
	
	fpga_dly(2);
	
	FpganConfigLow;						/*nCONFIG  LOW ɂ*/
	
	while(FpgaConfDone);				/*CONFIG_DONE  LOW ɂȂ̂҂*/
	
	while(FpganStatus);					/*nSTATUS  LOW ɂȂ̂҂*/
	
	fpga_dly(1);
	
	FpganConfigHi;						/*nCONFIG  HI ɂ*/
	
	while(!FpganStatus);				/*nSTATUS  HI ɂȂ̂҂*/
	
	flag = fpgaTRUE;
	ptr = (char *)&fpga_data[0];
	while(flag == fpgaTRUE)
	{
		FpgaDataAddr = (*ptr);			/*f[^̏*/
		ptr++;
		
										/*Ready bit ̃`FbN*/
		while((!(FpgaDataAddr & FpgaRdynBsy)) && (flag == fpgaTRUE))
		{
			if (!FpganStatus)			/*nSTATUS  LOW H*/
			{
											/*LOW ȂG[*/
				flag = fpgaFALSE;
				ans = fpgaFALSE;
			}
			
			if (FpgaConfDone)			/*Cnfg_DONE  HI H*/
			{
				flag = fpgaFALSE;				/*HI Ȃ珑ݏI*/
			}
		}
	}
	
										/*CS3 ̃EFCg 0 ɂ*/
	BSC.WCR1.WORD = (BSC.WCR1.WORD & ~0xf000) | 0x0000;
	
	return ans;
}

/*	FPGAImF֐	*/
short check_fpga_init()
{
	short ans;
	
	ans = fpgaFALSE;
	
	if (FpgaConfDone)
	{
		if (FpgaInitDone)
		{
			ans = fpgaTRUE;
		}
	}
	
	return ans;
}

/*	FPGA ResetMo͊֐iZbg = lowj	*/
void fpga_reset_on()
{
	FpgaResetHi;
}

/*	FPGA ResetMo͊֐iZbg = hij	*/
void fpga_reset_off()
{
	FpgaResetLow;
}

/*	FPGARtBO[VpfBC֐	*/
static volatile char __fpga_dly_count;	/*_~[*/
static void fpga_dly(short n)
{
	short i;
	
	for (i=0;i<n;i++)
	{
		__fpga_dly_count++;				/*œKȂ߂̃_~[*/
	}
}


